package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * app版本管理对象 biz_app
 * 
 * @author 朱汕
 * @date 2023-03-07
 */
@Data
public class BizApp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 应用 id 唯一 */
    @Excel(name = "AppId")
    @ApiModelProperty(value = "应用 id 唯一")
    private String appId;

    /** 应用名称 */
    @Excel(name = "应用名称")
    @ApiModelProperty(value = "应用名称")
    private String name;

    /** 下载地址 */
    @Excel(name = "下载地址")
    @ApiModelProperty(value = "下载地址")
    private String url;

    /** 上传者 */
    @Excel(name = "上传者")
    @ApiModelProperty(value = "上传者")
    private String author;

    /** 类别 0 android / 1 ios */
    @Excel(name = "平台类别")
    @ApiModelProperty(value = "类别 0 android / 1 ios")
    private String type;

    /** 应用版本名称 1.0.0 */
    @Excel(name = "应用版本名")
    @ApiModelProperty(value = "应用版本名称 1.0.0")
    private String versionName;

    /** 应用版本号 */
    @Excel(name = "应用版本号")
    @ApiModelProperty(value = "应用版本号")
    private String versionCode;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "是否强制更新")
    private Boolean isForceUpdate;

}
