package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 企业租户对象 biz_carrier_category
 *
 * @author ezhizao
 * @date 2024-03-18
 */
@Data
@TableName(value = "biz_carrier_category")
public class BizCarrierCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 父级类别id */
    @ApiModelProperty(value = "${comment}")
    private Long parentId;

    /** 设备类别编号 */
    @Excel(name = "设备类别编号")
    @ApiModelProperty(value = "设备类别编号")
    private String code;

    /** 设备类别名称 */
    @Excel(name = "设备类别名称")
    @ApiModelProperty(value = "设备类别名称")
    private String name;

    /** 设备类别排序 */
    @Excel(name = "设备类别排序")
    @ApiModelProperty(value = "设备类别排序")
    private Integer sort;

    /** 是否允许多批（0：默认不允许，1：允许） */
    @Excel(name = "是否允许多批", readConverterExp = "0=：默认不允许，1：允许")
    @ApiModelProperty(value = "是否允许多批")
    private Integer isAllowMore;
    private Integer isNone;
    private Integer isInspection;

    /* ********************************************* 虚字段 ********************************************* */

    /** 子类别 */
    @TableField(exist = false)
    private List<BizCarrierCategory> children;

}
