package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 合格证对象 biz_certificate
 *
 * @author ezhizao
 * @date 2024-09-02
 */
@Data
public class BizCertificateExport extends BaseEntity
{
    /** 批号 */
    @Excel(name = "批号",sort = 1)
    private String lotCode;
    @Excel(name = "产品描述",sort = 2)
    private String productDescription;
    @Excel(name = "生产工段",sort = 3)
    private String deptName;
    @Excel(name = "包装线号",sort = 4)
    private String packageLineNo;
    @Excel(name = "包装箱号",sort = 5)
    private String packageNo;
    @Excel(name = "包装数量",sort = 6)
    private Integer number;
    @Excel(name = "标签数量",sort = 7)
    private Integer labelNumber;
    @Excel(name = "打印份数",sort = 8)
    private Integer printPages;
    @Excel(name = "包装日期", width = 30, dateFormat = "yyyy-MM-dd",sort = 9)
    private Date printDate;
    @Excel(name = "客户简称",sort = 10)
    private String companyName;
    @Excel(name = "采购订单号",sort = 11)
    private String purchaseOrderNo;
    @Excel(name = "炉号",sort = 12)
    private String furnaceNumber;
    @Excel(name = "包装尺寸",sort = 13)
    private String packageStandard;
    @Excel(name = "包装形式码",sort = 14)
    private String packageTypeCode;
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss",sort = 15)
    private Date submitTime;
    @Excel(name = "收货方",sort = 16)
    private String recipientName;
    @Excel(name = "装运单",sort = 17)
    private String packingOrder;
    @Excel(name = "客户零件编号",sort = 18)
    private String customerPartNo;
    @Excel(name = "客户零件名称",sort = 19)
    private String customerPartName;
    @Excel(name = "供应商零件编码",sort = 20)
    private String productCode;
    @Excel(name = "净重",sort = 21)
    private String netWeight;
    @Excel(name = "毛重",sort = 22)
    private BigDecimal singleGrossWeight;
    @Excel(name = "包装编号",sort = 23)
    private String barCode;
    @Excel(name = "工程变更号",sort = 24)
    private String engineerChangeNumber;
    @Excel(name = "供应商编码",sort = 25)
    private String supplierCode;
    @Excel(name = "规格",sort = 26)
    private String specification;
    @Excel(name = "图号",sort = 27)
    private String drawingNumber;
    @Excel(name = "物料号",sort = 28)
    private String materialNum;
    @Excel(name = "备用1",sort = 29)
    private String first_1;
    @Excel(name = "备用2",sort = 30)
    private String first_2;
    @Excel(name = "备用3",sort = 31)
    private String first_3;
    @Excel(name = "备用4",sort = 32)
    private String first_4;
    @Excel(name = "备用5",sort = 33)
    private String first_5;
    @Excel(name = "备用6",sort = 34)
    private String first_6;
    @Excel(name = "备用7",sort = 35)
    private String first_7;
    @Excel(name = "备用8",sort = 36)
    private String first_8;
    @Excel(name = "备用9",sort = 37)
    private String first_9;
    @Excel(name = "备用10",sort = 38)
    private String first_10;
}
