package cn.ezhizao.project.business.domain;

import java.util.Date;
import java.util.List;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 合格证打印明细对象 biz_certificate_lot
 *
 * @author ezhizao
 * @date 2024-09-04
 */
@Data
@TableName(value = "biz_certificate_lot")
public class BizCertificateLot extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合格证外键 */
    @ApiModelProperty(value = "${comment}")
    private Long certificateId;

    /** 打印次数 */
    @Excel(name = "打印次数")
    @ApiModelProperty(value = "打印次数")
    private Long sort;

    /** 开始序号 */
    @Excel(name = "开始序号")
    @ApiModelProperty(value = "开始序号")
    private String startCode;

    /** 结束序号 */
    @Excel(name = "结束序号")
    @ApiModelProperty(value = "结束序号")
    private String endCode;

    /** 打印时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "打印时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "打印时间")
    private Date printDate;

    /** 租户id */
    @ApiModelProperty(value = "打印时间")
    private Long tenantId;

    /** 二维码信息 */
    @Excel(name = "二维码信息")
    @ApiModelProperty(value = "二维码信息")
    private String qrcode;

    /** 二维码地址 */
    @Excel(name = "二维码地址")
    @ApiModelProperty(value = "二维码地址")
    private String qrcodeUrl;

    /** 条形码信息 */
    @Excel(name = "条形码信息")
    @ApiModelProperty(value = "条形码信息")
    private String barcode;

    /** 条形码地址 */
    @Excel(name = "条形码地址")
    @ApiModelProperty(value = "条形码地址")
    private String barcodeUrl;

    @TableField(exist = false)
    private String qrcodeUrl2Src;

    @TableField(exist = false)
    private String barcodeUrl2Src;
    private String companyName;

    @TableField(exist = false)
    private List<Long> ids;
}
