package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;


/**
 * 生产计划工艺版本更改记录对象 biz_change_technological_version
 *
 * @author ezhizao
 * @date 2024-03-19
 */
@Data
@TableName(value = "biz_change_technological_version")
public class BizChangeTechnologicalVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id，厂别或类型1:Ⅰ类2：Ⅱ类 */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 计划单id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailId;

    /** 旧工艺id */
    @ApiModelProperty(value = "${comment}")
    private Long oldTechnologicalProcessId;

    /** 旧工艺版本 */
    @Excel(name = "旧工艺版本")
    @ApiModelProperty(value = "旧工艺版本")
    private String oldTechnologyVersion;

    /** 新工艺id */
    @ApiModelProperty(value = "旧工艺版本")
    private Long newTechnologicalProcessId;

    /** 新工艺版本 */
    @Excel(name = "新工艺版本")
    @ApiModelProperty(value = "新工艺版本")
    private String newTechnologyVersion;

}
