package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 客户名称对象 biz_company
 *
 * @author ezhizao
 * @date 2024-09-12
 */
@Data
@TableName(value = "biz_company")
public class BizCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 公司编码 */
    @Excel(name = "公司编码")
    @ApiModelProperty(value = "公司编码")
    private String companyCode;

    /** 公司名称 */
    @Excel(name = "公司名称")
    @ApiModelProperty(value = "公司名称")
    private String companyName;

    /** 公司别名 */
    @Excel(name = "公司别名")
    @ApiModelProperty(value = "公司别名")
    private String companyAlias;

    /** 助记码 */
    @Excel(name = "助记码")
    @ApiModelProperty(value = "助记码")
    private String mnemonicCode;

    /** 地区 */
    @Excel(name = "地区")
    @ApiModelProperty(value = "地区")
    private String region;

    /** 业务员id（对应sys_user的id） */
    @ApiModelProperty(value = "地区")
    private Long salemanId;

    /** 业务员编码（对应sys_user的user_name） */
    @Excel(name = "业务员编码", readConverterExp = "对=应sys_user的user_name")
    @ApiModelProperty(value = "业务员编码")
    private String salemanCode;

    @TableField(exist = false)
    private String remark;

}
