package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 辅助工序报工废品对象 biz_daywork_auxiliary_item_reject
 *
 * @author ezhizao
 * @date 2024-08-20
 */
@Data
@TableName(value = "biz_daywork_auxiliary_item_reject")
public class BizDayworkAuxiliaryItemReject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long dayworkAuxiliaryItemId;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long dayworkId;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long dayworkItemId;

    /** 投产数(周转到外协时填写投产数，其余周转不填写) */
    @Excel(name = "投产数(周转到外协时填写投产数，其余周转不填写)")
    @ApiModelProperty(value = "投产数(周转到外协时填写投产数，其余周转不填写)")
    private Long prodNum;

    /** 合格数 */
    @Excel(name = "合格数")
    @ApiModelProperty(value = "合格数")
    private Long qualifiedNum;

    /** 废品数量 */
    @Excel(name = "废品数量")
    @ApiModelProperty(value = "废品数量")
    private Long rejectNum;

    /** 员工编码 */
    @Excel(name = "员工编码")
    @ApiModelProperty(value = "员工编码")
    private String userName;

    /** 员工姓名 */
    @Excel(name = "员工姓名")
    @ApiModelProperty(value = "员工姓名")
    private String nickName;

    @TableField(exist = false)
    private BizDayworkItem dayworkItem;

    @TableField(exist = false)
    private List<BizDayworkItemReject> rejectList;

}
