package cn.ezhizao.project.business.domain;


import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 废品原因对象 biz_daywork_item_consult
 *
 * @author zhuangdezheng
 * date    2024-04-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "biz_daywork_item_consult")
public class BizDayworkItemConsult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "姓名")
    private String nickName;

    @ApiModelProperty(value = "租户（厂别）id")
    private Long tenantId;

    @ApiModelProperty(value = "计划单id")
    private Long productionPlanId;

    @ApiModelProperty(value = "计划单明细id")
    private Long productionPlanDetailId;

    @ApiModelProperty(value = "子计划id")
    private Long productionPlanDetailSubDetailId;

    @ApiModelProperty(value = "子计划工序对应的设备id？？？？？？？？？")
    private Long productionPlanDetailSubDetailEquipmentId;

    @ApiModelProperty(value = "批次id")
    private Long lotId;

    @ApiModelProperty(value = "批次号")
    private String lotCode;

    @ApiModelProperty(value = "daywork的id")
    private Long dayworkId;

    @ApiModelProperty(value = "报工明细id")
    private Long dayworkItemId;

    @ApiModelProperty(value = "产品id")
    private Long productId;


    @ApiModelProperty(value = "产品描述")
    private String productDescription;

    @ApiModelProperty(value = "工艺id（通过工艺id，获取版本号）")
    private Long technologicalProcessId;

    @ApiModelProperty(value = "当前工序id")
    private Long technologicalProcessDetailId;

    @ApiModelProperty(value = "报工明细id")
    private Long processId;

    @ApiModelProperty(value = "工序简称")
    private String processAlias;

    @ApiModelProperty(value = "咨询的信息")
    private String content;

    @ApiModelProperty(value = "回复状态 0未回复 1合格 2不合格")
    private Integer status;

    @ApiModelProperty(value = "是否序检（0否，1是）")
    private Integer isProcessInspection;

    @ApiModelProperty(value = "技术员Id")
    private Long technicianId;
    private Long reviewerId;
    @TableField(exist = false)
    private String technicianName;
    private Integer consultDepartment;
    @TableField(exist = false)
    private String reviewerName;
    @TableField(exist = false)
    private List<BizDayworkItemConsultPicture> pictureList;
    @TableField(exist = false)
    private String flag;
    private Long processInspectionId;
    private Long isOutsourcedInspection;
    @TableField(exist = false)
    private String type;
    private Long consultResultId;
    private String consultResultResult;

}
