package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 咨询图片对象 biz_daywork_item_consult_picture
 *
 * @author ezhizao
 * @date 2024-07-22
 */
@Data
@TableName(value = "biz_daywork_item_consult_picture")
public class BizDayworkItemConsultPicture extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id，厂别或类型1:Ⅰ类2：Ⅱ类 */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 报工咨询id */
    @ApiModelProperty(value = "${comment}")
    private Long dayworkItemConsultId;

    /** 图片地址 */
    @Excel(name = "图片地址")
    @ApiModelProperty(value = "图片地址")
    private String url;

    /** 图片名称 */
    @Excel(name = "图片名称")
    @ApiModelProperty(value = "图片名称")
    private String pictureName;

}
