package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 报公合格数统计对象 biz_daywork_qualified
 *
 * @author ezhizao
 * date    2024-03-08
 */
@Data
@TableName(value = "biz_daywork_qualified")
public class BizDayworkQualified extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户（厂别）id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 计划单明细id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailId;

    /** 用户id */
    @ApiModelProperty(value = "${comment}")
    private Long dayworkId;

    /** 工序id */
    @ApiModelProperty(value = "${comment}")
    private Long processId;

    /** 工序投产数 */
    @Excel(name = "工序投产数")
    @ApiModelProperty(value = "工序投产数")
    private Integer processQualifiedNum;

    /** 工序合格数 */
    @Excel(name = "工序合格数")
    @ApiModelProperty(value = "工序合格数")
    private Integer temporaryProcessQualifiedNum;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Integer status;

}
