package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * deptProcess对象 biz_dept_process
 *
 * @author ezhizao
 * @date 2023-12-11
 */
@Data
@TableName(value = "biz_dept_process")
public class BizDeptProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 部门（工段） */
    @ApiModelProperty(value = "${comment}")
    private Long deptId;

    /** 工序id */
    @ApiModelProperty(value = "${comment}")
    private Long processId;

    /** XX主序 XX次序 X分序 */
    @Excel(name = "XX主序 XX次序 X分序")
    @ApiModelProperty(value = "XX主序 XX次序 X分序")
    private String processCode;

    /** 工序简称 */
    @Excel(name = "工序简称")
    @ApiModelProperty(value = "工序简称")
    private String processAlias;

    @TableField(exist = false)
    private Long dayworkId;


}
