package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 生产入库明细对象 biz_inbound_order_detail
 *
 * @author ezhizao
 * @date 2025-05-20
 */
@Data
@TableName(value = "biz_inbound_order_detail")
public class BizInboundOrderDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 入库单id */
    @ApiModelProperty(value = "${comment}")
    private Long inboundOrderId;

    /** 合格证id */
    @ApiModelProperty(value = "${comment}")
    private Long certificateId;

    /** 合格证批次id */
    @ApiModelProperty(value = "${comment}")
    private Long certificateLotId;

    /** 合格证编码 */
    @Excel(name = "合格证编码")
    @ApiModelProperty(value = "合格证编码")
    private String certificateCode;

    private String lotCode;
    private Long lotId;

    /** 入库数量 */
    @Excel(name = "入库数量")
    @ApiModelProperty(value = "入库数量")
    private Long inboundNum;

    /** 是否入库 */
    @Excel(name = "是否入库")
    @ApiModelProperty(value = "是否入库")
    private Integer isInbound;

    /** 操作者1id */
    @ApiModelProperty(value = "是否入库")
    private Long firstOperatorUserId;

    /** 操作者1编码 */
    @Excel(name = "操作者1编码")
    @ApiModelProperty(value = "操作者1编码")
    private String firstOperatorUserName;

    /** 操作者1名称 */
    @Excel(name = "操作者1名称")
    @ApiModelProperty(value = "操作者1名称")
    private String firstOperatorNickName;

    /** 操作者2id */
    @ApiModelProperty(value = "操作者1名称")
    private Long secondOperatorUserId;

    /** 操作者2编码 */
    @Excel(name = "操作者2编码")
    @ApiModelProperty(value = "操作者2编码")
    private String secondOperatorUserName;

    /** 操作者2名称 */
    @Excel(name = "操作者2名称")
    @ApiModelProperty(value = "操作者2名称")
    private String secondOperatorNickName;

    /** 操作者3id */
    @ApiModelProperty(value = "操作者2名称")
    private Long thirdOperatorUserId;

    /** 操作者3编码 */
    @Excel(name = "操作者3编码")
    @ApiModelProperty(value = "操作者3编码")
    private String thirdOperatorUserName;

    /** 操作者3名称 */
    @Excel(name = "操作者3名称")
    @ApiModelProperty(value = "操作者3名称")
    private String thirdOperatorNickName;

    /** 包装形式码 */
    @Excel(name = "包装形式码")
    @ApiModelProperty(value = "包装形式码")
    private String packageTypeCode;


//    @Excel(name = "Manual字符-- 人工区；Automatic字符代表智能区")
    @TableField(exist = false)
    private String areaType;

    /** 转运托盘码 */
    @Excel(name = "转运托盘码")
    @ApiModelProperty(value = "转运托盘码")
    private String transferCode;

    @TableField(exist = false)
    private Long productId;
    @TableField(exist = false)
    private String productDescription;
    @TableField(exist = false)
    private Long companyId;
    @TableField(exist = false)
    private String customerName;
    @TableField(exist = false)
    private Long deptId;
    @TableField(exist = false)
    private Long packageResourceGroupId;
    @TableField(exist = false)
    private String deptName;
    @TableField(exist = false)
    private String packageResourceGroupName;
    @TableField(exist = false)
    private Long packageResourceGroupLineNo;
    @TableField(exist = false)
    private String unit;
    @TableField(exist = false)
    private String productType;
    @TableField(exist = false)
    private Integer isSubclass;
    @TableField(exist = false)
    private String standard;
    @TableField(exist = false)
    private String drawingNo;
    @TableField(exist = false)
    private Long xsyId;
    @TableField(exist = false)
    private Long bgyId;
    @TableField(exist = false)
    private Long jsyId;
    /** 销售员号 */
    @Excel(name = "销售员号")
    @TableField(exist = false)
    private String xsyno;

    /** 销售员名 */
    @Excel(name = "销售员名")
    @TableField(exist = false)
    private String xsyna;

    /** 保管员号 */
    @Excel(name = "保管员号")
    @ApiModelProperty(value = "保管员号")
    @TableField(exist = false)
    private String bgyno;

    /** 保管员名 */
    @Excel(name = "保管员名")
    @ApiModelProperty(value = "保管员名")
    @TableField(exist = false)
    private String bgyna;
    /** 技术员号 */
    @Excel(name = "技术员号")
    @ApiModelProperty(value = "技术员号")
    @TableField(exist = false)
    private String jsyno;

    /** 技术员名 */
    @Excel(name = "技术员名")
    @ApiModelProperty(value = "技术员名")
    @TableField(exist = false)
    private String jsyna;

    /** 客户简称 */
    @Excel(name = "客户简称")
    @ApiModelProperty(value = "客户简称")
    @TableField(exist = false)
    private String companyAlias;

    /** 客户编码 */
    @Excel(name = "客户编码")
    @TableField(exist = false)
    @ApiModelProperty(value = "客户编码")
    private String companyCode;

    /** 单箱支数 */
    @Excel(name = "单箱支数")
    @ApiModelProperty(value = "单箱支数")
    @TableField(exist = false)
    private Long labelNumber;
    // 判断可添加
    @TableField(exist = false)
    private Boolean checked;

    @TableField(exist = false)
    private Boolean isFirst;

    @TableField(exist = false)
    private String productCode;
    @TableField(exist = false)
    private String deptCode;

    @TableField(exist =  false)
    private Long sum;
}
