package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 企业租户对象 biz_carrier_category
 *
 * @author ezhizao
 * [date]  2024-03-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "biz_inspection_category")
public class BizInspectionCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    @ApiModelProperty(value = "1：分选标准；2：检查指导书；")
    private Integer type;

    @ApiModelProperty(value = "父级类别id")
    private Long parentId;

    @ApiModelProperty(value = "类别名称")
    private String name;

    @ApiModelProperty(value = "类别排序")
    private Integer sort;

    /* ********************************************* 虚字段 ********************************************* */

    /** 子类别 */
    @TableField(exist = false)
    private List<BizInspectionCategory> children;

    @TableField(exist = false)
    private String keyword;

}
