package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 企业租户对象 biz_carrier_category
 *
 * @author ezhizao
 * [date]  2024-03-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "biz_inspection_instruction")
public class BizInspectionInstruction extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    @ApiModelProperty(value = "1：分选标准；2：检查指导书；")
    private Integer type;

    @ApiModelProperty(value = "类别id")
    private Long categoryId;

    @ApiModelProperty(value = "检查标准")
    private String standard;

    @ApiModelProperty(value = "检查仪器设备（用于检查指导书）")
    private String equipment;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @TableField(exist = false)
    private String keyword;
}
