package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;


/**
 * 检查类别标准对象 biz_inspection_standards_check
 *
 * @author ezhizao
 * @date 2024-08-07
 */
@Data
@TableName(value = "biz_inspection_standards_check")
public class BizInspectionStandardsCheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id，厂别或类型1:Ⅰ类2：Ⅱ类 */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 检查仪器 */
    @Excel(name = "检查仪器")
    @ApiModelProperty(value = "检查仪器")
    private String instrument;

    /** 产品版本 */
    @Excel(name = "产品版本")
    @ApiModelProperty(value = "产品版本")
    private String productVersion;

    @ApiModelProperty(value = "${comment}")
    private Long processId;
    /** 工序编码 */
    @Excel(name = "工序编码")
    @ApiModelProperty(value = "工序编码")
    private String processCode;

    /** 检查标准 */
    @Excel(name = "检查标准")
    @ApiModelProperty(value = "检查标准")
    private String standard;

    /** 产品id */
    @ApiModelProperty(value = "检查标准")
    private Long productId;

    /** 检查类别编码 */
    @Excel(name = "检查类别编码")
    @ApiModelProperty(value = "检查类别编码")
    private String inspectionCode;

    /** 检查类别id */
    @ApiModelProperty(value = "检查类别编码")
    private Long inspectionId;

    /** 检查类别名称 */
    @Excel(name = "检查类别名称")
    @ApiModelProperty(value = "检查类别名称")
    private String inspectionName;

    /** 检查标准id */
    @ApiModelProperty(value = "检查类别名称")
    private Long standardsId;

}
