package cn.ezhizao.project.business.domain;
import java.util.Date;
import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;


/**
 * 批次废弃对象 biz_lot_waste
 *
 * @author ezhizao
 * @date 2024-04-02
 */
@Data
@TableName(value = "biz_lot_waste")
public class BizLotWaste extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 批次id */
    @ApiModelProperty(value = "${comment}")
    private Long lotId;

    /** 责任工段id */
    @ApiModelProperty(value = "${comment}")
    private Long deptId;

    /** 责任工序id */
    @ApiModelProperty(value = "${comment}")
    private Long technologicalProcessId;

    /** 批废原因 */
    @Excel(name = "批废原因")
    @ApiModelProperty(value = "批废原因")
    private String reason;

    /** 填写人 */
    @Excel(name = "填写人")
    @ApiModelProperty(value = "填写人")
    private String fillName;

    /** 填写时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "填写时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "填写时间")
    private Date fillDate;
    @TableField(exist = false)
    private String remark;
    private Long technologicalProcessDetailId;

}
