package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 材料基本 来源inv10100对象 biz_material_base_info
 *
 * @author ezhizao
 * @date 2024-06-17
 */
@Data
@TableName(value = "biz_material_base")
public class BizMaterialBase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 材料编号 */
    @Excel(name = "材料编号")
    @ApiModelProperty(value = "材料编号")
    private String materialCode;

    /** 编码规则 */
    @Excel(name = "编码规则")
    @ApiModelProperty(value = "编码规则")
    private String type;

    /** 助记码 */
    @Excel(name = "助记码")
    @ApiModelProperty(value = "助记码")
    private String mnemonicCode;

    /** 不懂，原表没有注释 */
    @Excel(name = "不懂，原表没有注释")
    @ApiModelProperty(value = "不懂，原表没有注释")
    private String itemtype;

    /** 结构钢类别 */
    @Excel(name = "结构钢类别")
    @ApiModelProperty(value = "结构钢类别")
    private String steelClass;

    /** 代用群码 */
    @Excel(name = "代用群码")
    @ApiModelProperty(value = "代用群码")
    private String repCode;

    /** 像条形码，原表没有注释 */
    @Excel(name = "像条形码，原表没有注释")
    @ApiModelProperty(value = "像条形码，原表没有注释")
    private String barcode;

    /** 账号 */
    @Excel(name = "账号")
    @ApiModelProperty(value = "账号")
    private String prloc;

    /** 部门编号 */
    @Excel(name = "部门编号")
    @ApiModelProperty(value = "部门编号")
    private String dept;

    /** 名称规格图号 */
    @Excel(name = "名称规格图号")
    @ApiModelProperty(value = "名称规格图号")
    private String description;

    /** 规格 */
    @Excel(name = "规格")
    @ApiModelProperty(value = "规格")
    private String specification;

    /** 部门单位 */
    @Excel(name = "部门单位")
    @ApiModelProperty(value = "部门单位")
    private String uom;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String pounit;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal pofact;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String counit;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal cofact;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String sounit;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal sofact;

    /** 计量单位 */
    @Excel(name = "计量单位")
    @ApiModelProperty(value = "计量单位")
    private String wunit;

    /** 毛重/箱 */
    @Excel(name = "毛重/箱")
    @ApiModelProperty(value = "毛重/箱")
    private BigDecimal weight;

    /** 支数/箱 */
    @Excel(name = "支数/箱")
    @ApiModelProperty(value = "支数/箱")
    private Integer weigs;

    /** 成品单个坯重 */
    @Excel(name = "成品单个坯重")
    @ApiModelProperty(value = "成品单个坯重")
    private BigDecimal volume;

    /** 切除尾数 */
    @Excel(name = "切除尾数")
    @ApiModelProperty(value = "切除尾数")
    private String rounded;

    /** 图号 */
    @Excel(name = "图号")
    @ApiModelProperty(value = "图号")
    private String draw;

    /** 是否为MPS料品 */
    @Excel(name = "是否为MPS料品")
    @ApiModelProperty(value = "是否为MPS料品")
    private String mpsok;

    /** 计料形式(Y正常N以成品单个坯重来计算用料) */
    @Excel(name = "计料形式(Y正常N以成品单个坯重来计算用料)")
    @ApiModelProperty(value = "计料形式(Y正常N以成品单个坯重来计算用料)")
    private String isstype;

    /** 需求运算 */
    @Excel(name = "需求运算")
    @ApiModelProperty(value = "需求运算")
    private String bypass;

    /** 结构批量 */
    @Excel(name = "结构批量")
    @ApiModelProperty(value = "结构批量")
    private BigDecimal batchqty;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal yield;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String commodity;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String prdline;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String salgrp;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String prcgrp;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String fixmo;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String prpart;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String attrctl;

    /** abc分类 */
    @Excel(name = "abc分类")
    @ApiModelProperty(value = "abc分类")
    private String abc;

    /** abc控制 */
    @Excel(name = "abc控制")
    @ApiModelProperty(value = "abc控制")
    private String abcctl;

    /** 盘点日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "盘点日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "盘点日期")
    private Date lcydate;

    /** 开账期初单价 */
    @Excel(name = "开账期初单价")
    @ApiModelProperty(value = "开账期初单价")
    private BigDecimal price;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal stdcost;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal material;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal thismaterial;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal prematerial;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal labor;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal thislabor;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal prelabor;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal overhead;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal thisoverhead;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal preoverhead;

    /** 人工权数 */
    @Excel(name = "人工权数")
    @ApiModelProperty(value = "人工权数")
    private BigDecimal varover;

    /** 费用权数 */
    @Excel(name = "费用权数")
    @ApiModelProperty(value = "费用权数")
    private BigDecimal mutqty2;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal avgprc;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String stdctl;

    /** 业务员代码 */
    @Excel(name = "业务员代码")
    @ApiModelProperty(value = "业务员代码")
    private String purchaser;

    /** 规划人 */
    @Excel(name = "规划人")
    @ApiModelProperty(value = "规划人")
    private String planner;

    /** 委外/供应/制造商 */
    @Excel(name = "委外/供应/制造商")
    @ApiModelProperty(value = "委外/供应/制造商")
    private String vendor1;

    /** 安全存量 */
    @Excel(name = "安全存量")
    @ApiModelProperty(value = "安全存量")
    private BigDecimal safqty;

    /** 再订购点 */
    @Excel(name = "再订购点")
    @ApiModelProperty(value = "再订购点")
    private BigDecimal reorder;

    /** 最低委外/订购/制造商 */
    @Excel(name = "最低委外/订购/制造商")
    @ApiModelProperty(value = "最低委外/订购/制造商")
    private BigDecimal minqty;

    /** 最高委外/订购/制造商 */
    @Excel(name = "最高委外/订购/制造商")
    @ApiModelProperty(value = "最高委外/订购/制造商")
    private BigDecimal maxqty;

    /** 委外/订购/制造倍数 */
    @Excel(name = "委外/订购/制造倍数")
    @ApiModelProperty(value = "委外/订购/制造倍数")
    private BigDecimal mutqty;

    /** 供应期间 */
    @Excel(name = "供应期间")
    @ApiModelProperty(value = "供应期间")
    private Integer maxperiod;

    /** 令单合并 */
    @Excel(name = "令单合并")
    @ApiModelProperty(value = "令单合并")
    private String merge;

    /** 固定前置日 */
    @Excel(name = "固定前置日")
    @ApiModelProperty(value = "固定前置日")
    private Integer lead;

    /** 变动前置日 */
    @Excel(name = "变动前置日")
    @ApiModelProperty(value = "变动前置日")
    private Integer duration;

    /** 累计前置日 */
    @Excel(name = "累计前置日")
    @ApiModelProperty(value = "累计前置日")
    private Integer varbase1;

    /** 变动基数 */
    @Excel(name = "变动基数")
    @ApiModelProperty(value = "变动基数")
    private Integer varbase;

    /** 规划品 */
    @Excel(name = "规划品")
    @ApiModelProperty(value = "规划品")
    private String planitem;

    /** 供需政策 */
    @Excel(name = "供需政策")
    @ApiModelProperty(value = "供需政策")
    private String police;

    /** 低阶码 */
    @Excel(name = "低阶码")
    @ApiModelProperty(value = "低阶码")
    private Integer llc;

    /** 库存量 */
    @Excel(name = "库存量")
    @ApiModelProperty(value = "库存量")
    private BigDecimal onhand;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal onorder;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal allocate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal iqcqty;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String priceflag;

    /** 商品 */
    @Excel(name = "商品")
    @ApiModelProperty(value = "商品")
    private String merchandise;

    /** 批号控制 */
    @Excel(name = "批号控制")
    @ApiModelProperty(value = "批号控制")
    private String lot;

    /** 辅助量控制 */
    @Excel(name = "辅助量控制")
    @ApiModelProperty(value = "辅助量控制")
    private String aux;

    /** 辅助单位 */
    @Excel(name = "辅助单位")
    @ApiModelProperty(value = "辅助单位")
    private String auxunit;

    /** 辅助量 */
    @Excel(name = "辅助量")
    @ApiModelProperty(value = "辅助量")
    private BigDecimal auxqty;

    /** 使用状况 */
    @Excel(name = "使用状况")
    @ApiModelProperty(value = "使用状况")
    private String status;

    /** 最近交易日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最近交易日", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "最近交易日")
    private Date lsttxdate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal subor;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal thissubor;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal presubor;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal other;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal thisother;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal preother;

    /** 建档日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "建档日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "建档日期")
    private Date createdate;

    /** 建档人 */
    @Excel(name = "建档人")
    @ApiModelProperty(value = "建档人")
    private String createuser;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Date modifydate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String modifyuser;

    /** R/S */
    @Excel(name = "R/S")
    @ApiModelProperty(value = "R/S")
    private String rs;

    /** 倒扣件 */
    @Excel(name = "倒扣件")
    @ApiModelProperty(value = "倒扣件")
    private String bkitem;

    /** 保税品 */
    @Excel(name = "保税品")
    @ApiModelProperty(value = "保税品")
    private String bond;

    /** 整批发料  */
    @Excel(name = "整批发料 ")
    @ApiModelProperty(value = "整批发料 ")
    private String bissue;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Integer qclead;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String tfcode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal stdlabor;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal stdmachine;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal accumlabor;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal accumachine;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal mpsprice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal mpscost;

    /** 料品大分类 */
    @Excel(name = "料品大分类")
    @ApiModelProperty(value = "料品大分类")
    private String bigclass;

    /** 料品小分类 */
    @Excel(name = "料品小分类")
    @ApiModelProperty(value = "料品小分类")
    private String smlclass;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String potype;

    /** 动力权数 */
    @Excel(name = "动力权数")
    @ApiModelProperty(value = "动力权数")
    private BigDecimal cstDynamical;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cstFactory;

    /** 设备权数 */
    @Excel(name = "设备权数")
    @ApiModelProperty(value = "设备权数")
    private BigDecimal cstEquipment;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cstType;

    /** 组件类型 */
    @Excel(name = "组件类型")
    @ApiModelProperty(value = "组件类型")
    private String cstZj;

    /** 模具编号 */
    @Excel(name = "模具编号")
    @ApiModelProperty(value = "模具编号")
    private String cstPartm;

    /** 成品率考核指标 */
    @Excel(name = "成品率考核指标")
    @ApiModelProperty(value = "成品率考核指标")
    private BigDecimal cstKamt;

    /** 技术要求 */
    @Excel(name = "技术要求")
    @ApiModelProperty(value = "技术要求")
    private String jsyq;

    /** 原材料形状代码 */
    @Excel(name = "原材料形状代码")
    @ApiModelProperty(value = "原材料形状代码")
    private String xzcode;

    /** 最近采购价 */
    @Excel(name = "最近采购价")
    @ApiModelProperty(value = "最近采购价")
    private BigDecimal zjunprc;

    /** 0;mid(part,6,3)='000';;2:原材料3：机物料 */
    @Excel(name = "0;mid(part,6,3)='000';;2:原材料3：机物料")
    @ApiModelProperty(value = "0;mid(part,6,3)='000';;2:原材料3：机物料")
    private String purtype;

    /** 材料牌号 */
    @Excel(name = "材料牌号")
    @ApiModelProperty(value = "材料牌号")
    private String phcode;

    /** 原材料规格型号码 */
    @Excel(name = "原材料规格型号码")
    @ApiModelProperty(value = "原材料规格型号码")
    private String xhcode;

    /** 原材料产地1：国产2：进口3：整装进口 */
    @Excel(name = "原材料产地1：国产2：进口3：整装进口")
    @ApiModelProperty(value = "原材料产地1：国产2：进口3：整装进口")
    private String addcode;

    /** 原材料长度 */
    @Excel(name = "原材料长度")
    @ApiModelProperty(value = "原材料长度")
    private String cdcode;

    /** 0:综合类3：普通轴5：粗大轴 */
    @Excel(name = "0:综合类3：普通轴5：粗大轴")
    @ApiModelProperty(value = "0:综合类3：普通轴5：粗大轴")
    private String cptype;

    /** 1:shaft2:wiper shaft3:pivot shaft4:pivot tube */
    @Excel(name = "1:shaft2:wiper shaft3:pivot shaft4:pivot tube")
    @ApiModelProperty(value = "1:shaft2:wiper shaft3:pivot shaft4:pivot tube")
    private String shaft;

    /** 密度 */
    @Excel(name = "密度")
    @ApiModelProperty(value = "密度")
    private BigDecimal density;

    /** 成品长度 */
    @Excel(name = "成品长度")
    @ApiModelProperty(value = "成品长度")
    private BigDecimal lenght;

    /** 直径 */
    @Excel(name = "直径")
    @ApiModelProperty(value = "直径")
    private BigDecimal dzj;

    /** 成品长度字符型 */
    @Excel(name = "成品长度字符型")
    @ApiModelProperty(value = "成品长度字符型")
    private String lenghts;

    /** 公差长度含刀宽 */
    @Excel(name = "公差长度含刀宽")
    @ApiModelProperty(value = "公差长度含刀宽")
    private BigDecimal gccd;

    /** 成品直径字符型 */
    @Excel(name = "成品直径字符型")
    @ApiModelProperty(value = "成品直径字符型")
    private String dzjs;

    /** 开账期初库存量 */
    @Excel(name = "开账期初库存量")
    @ApiModelProperty(value = "开账期初库存量")
    private BigDecimal onqty;

    /** 客户简称 */
    @Excel(name = "客户简称")
    @ApiModelProperty(value = "客户简称")
    private String khjc;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Date invdate;

    /** 客户料号 */
    @Excel(name = "客户料号")
    @ApiModelProperty(value = "客户料号")
    private String khpart;

    /** 直料长度 */
    @Excel(name = "直料长度")
    @ApiModelProperty(value = "直料长度")
    private String zlcd;

    /** 技术要求 */
    @Excel(name = "技术要求")
    @ApiModelProperty(value = "技术要求")
    private String jsyq1;

    /** 1:正常①,2:无半成品①②⑤,3:有半成品①②③④⑤ */
    @Excel(name = "1:正常①,2:无半成品①②⑤,3:有半成品①②③④⑤")
    @ApiModelProperty(value = "1:正常①,2:无半成品①②⑤,3:有半成品①②③④⑤")
    private String rkbz;

    /** 华普料号 */
    @Excel(name = "华普料号")
    @ApiModelProperty(value = "华普料号")
    private String hpart;

    /** 炉号 */
    @Excel(name = "炉号")
    @ApiModelProperty(value = "炉号")
    private String luhao;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    @ApiModelProperty(value = "生产厂家")
    private String facno;

    /** 客户订单号 */
    @Excel(name = "客户订单号")
    @ApiModelProperty(value = "客户订单号")
    private String orderno;

    /** 包装盒数 */
    @Excel(name = "包装盒数")
    @ApiModelProperty(value = "包装盒数")
    private Integer bzhs;

    /** 三叶商品编码 */
    @Excel(name = "三叶商品编码")
    @ApiModelProperty(value = "三叶商品编码")
    private String spcode;

    /** 客户商品品名 */
    @Excel(name = "客户商品品名")
    @ApiModelProperty(value = "客户商品品名")
    private String spname;

    /** 客户代码 */
    @Excel(name = "客户代码")
    @ApiModelProperty(value = "客户代码")
    private String cust;

    /** 原材料计算直径 */
    @Excel(name = "原材料计算直径")
    @ApiModelProperty(value = "原材料计算直径")
    private BigDecimal yzj;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String writeuser;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Date writedate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String writeruser;

    /** 钢材分类 */
    @Excel(name = "钢材分类")
    @ApiModelProperty(value = "钢材分类")
    private String dtype;

    /** 最近报销未税单价 */
    @Excel(name = "最近报销未税单价")
    @ApiModelProperty(value = "最近报销未税单价")
    private BigDecimal zjbxprc;

    public BizMaterialBase() {
        super();
    }
}
