package cn.ezhizao.project.business.domain;

import java.util.Date;
import java.util.List;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 非本序废品对象 biz_non_current_reject
 *
 * @author ezhizao
 * @date 2024-05-12
 */
@Data
@TableName(value = "biz_no_current_reject")
public class BizNoCurrentReject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 公司别名 */
    @Excel(name = "公司别名")
    @ApiModelProperty(value = "公司别名")
    private String companyAlias;

    /** 批次id */
    @ApiModelProperty(value = "公司别名")
    private Long lotId;

    private Long dayworkId;

    /** 批次code */
    @Excel(name = "批次code")
    @ApiModelProperty(value = "批次code")
    private String lotCode;

    /** 责任工段id */
    @ApiModelProperty(value = "批次code")
    private Long deptId;

    /** 责任工段name */
    @Excel(name = "责任工段name")
    @ApiModelProperty(value = "责任工段name")
    private String deptName;

    /** 责任工序id */
    @ApiModelProperty(value = "责任工段name")
    private Long technologicalProcessId;

    /** 责任工序name */
    @Excel(name = "责任工序name")
    @ApiModelProperty(value = "责任工序name")
    private String technologicalProcessName;

    /** 发现工段id */
    @ApiModelProperty(value = "责任工序name")
    private Long findDeptId;

    /** 发现工序id */
    @ApiModelProperty(value = "责任工序name")
    private Long findTechnologicalProcessId;

    /** 发现工序 */
    @Excel(name = "发现工序")
    @ApiModelProperty(value = "发现工序")
    private String findTechnologicalProcessName;

    /** 发现工段 */
    @Excel(name = "发现工段")
    @ApiModelProperty(value = "发现工段")
    private String findDeptName;

    private Integer rejectNum;
    /** 发现人name */
    @ApiModelProperty(value = "发现工段")
    private Long findUserId;

    /** 发现人name */
    @Excel(name = "发现人name")
    @ApiModelProperty(value = "发现人name")
    private String findUserName;

    /** 生产数量 */
    @Excel(name = "生产数量")
    @ApiModelProperty(value = "生产数量")
    private Long productionQuantity;

    /** 当前生产数量 */
    @Excel(name = "当前生产数量")
    @ApiModelProperty(value = "当前生产数量")
    private Long prodNum;

    /** 投料/计划单号 */
    @Excel(name = "投料/计划单号")
    @ApiModelProperty(value = "投料/计划单号")
    private String productionPlanNo;

    /** 产品描述 */
    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String productDescription;

    @TableField(exist = false)
    private Date endTime;

    @TableField(exist = false)
    private Date startTime;
    @TableField(exist = false)
    private Date firstTime;

    @TableField(exist = false)
    private Date secondTime;

    /** 批废原因 */
//    @Excel(name = "批废原因")
//    @ApiModelProperty(value = "批废原因")
//    private String reason;

    /** 填写人 */
    @Excel(name = "填写人")
    @ApiModelProperty(value = "填写人")
    private String fillName;

    /** 填写时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "填写时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "填写时间")
    private Date fillDate;

    /** 工艺版本A,B,C */
    @Excel(name = "工艺版本A,B,C")
    @ApiModelProperty(value = "工艺版本A,B,C")
    private String technologyVersion;

    /** 当前工段名称 */
    @Excel(name = "当前工段名称")
    @ApiModelProperty(value = "当前工段名称")
    private String nowDeptName;

    /** 下达时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下达时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "下达时间")
    private Date issueDate;
    @TableField(exist = false)
    private List<Long> userIds;
    @TableField(exist = false)
    private List<Long> supplierIds;
    private String userId;
    private String supplierId;
    private String reviewName;
    private Long reviewId;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date reviewDate;
    private Integer status;
    private String processStepNumber;
    private String findProcessStepNumber;
    @TableField(exist = false)
    private List<BizSupplier> supplierList;
    @TableField(exist = false)
    private List<BizDayworkItem> dayworkItemList;
    @TableField(exist = false)
    private Integer isWx;


}
