package cn.ezhizao.project.business.domain;

import java.util.Date;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 外协结算月设置对象 biz_outsource_balance_month
 *
 * @author ezhizao
 * @date 2024-08-13
 */
@Data
@TableName(value = "biz_outsource_balance_month")
public class BizOutsourceBalanceMonth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "开始日期")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "结束日期")
    private Date endDate;

    /** 设置人 */
    @ApiModelProperty(value = "结束日期")
    private Long userId;

    /** 停用时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "停用时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "停用时间")
    private Date stopDate;

}
