package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 外协发出单历史记录对象 biz_outsourced_records
 *
 * @author ezhizao
 * @date 2024-06-03
 */
@Data
@TableName(value = "biz_outsourced_records")
public class BizOutsourcedRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "主表id")
    @ApiModelProperty(value = "主表id")
    private Long masterId;
    /** 用户username */
    @Excel(name = "用户username")
    @ApiModelProperty(value = "用户username")
    private String userName;

    /** 用户名 */
    @Excel(name = "用户名")
    @ApiModelProperty(value = "用户名")
    private String nickName;

    /** 方式（创建、修改） */
    @Excel(name = "方式", readConverterExp = "创=建、修改")
    @ApiModelProperty(value = "方式")
    private String method;

    /** 单据号 */
    @Excel(name = "单据号")
    @ApiModelProperty(value = "单据号")
    private String formCode;

    /** 外协厂id */
    @ApiModelProperty(value = "单据号")
    private Long supplierId;

    /** 外协厂名字 */
    @Excel(name = "外协厂名字")
    @ApiModelProperty(value = "外协厂名字")
    private String supplierName;

    /** 批次id */
    @ApiModelProperty(value = "外协厂名字")
    private Long lotId;

    /** 批次号 */
    @Excel(name = "批次号")
    @ApiModelProperty(value = "批次号")
    private String lotCode;

    /** 产品描述 */
    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String productDescription;

    /** 投产数 */
    @Excel(name = "投产数")
    @ApiModelProperty(value = "投产数")
    private Integer productNum;

    /** 新箱号 */
    @Excel(name = "新箱号")
    @ApiModelProperty(value = "新箱号")
    private String newCarrier;

    /** 工序名称 */
    @Excel(name = "工序名称")
    @ApiModelProperty(value = "工序名称")
    private String processNames;
    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @TableField(exist = false)
    private String records;
    private Integer isPackage;

}
