package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.checkerframework.checker.units.qual.A;

import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * 生产子计划明细对象 biz_production_plan_detail_sub_detail
 *
 * @author ezhizao
 * @date 2023-11-15
 */
@Data
@TableName(value = "biz_production_plan_detail_sub_detail")
public class BizProductionPlanDetailSubDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 租户（厂别）id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 工段id */
    @ApiModelProperty(value = "${comment}")
    private Long deptId;
    /** 计划单id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanId;

    /** 计划单明细id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailId;

    /** 产品id */
    @ApiModelProperty(value = "${comment}")
    private Long productId;
    /** 投料/计划单号 */
    @Excel(name = "投料/计划单号")
    @ApiModelProperty(value = "投料/计划单号")
    private String productionPlanNo;
    @Excel(name = "工艺id")
    @ApiModelProperty(value = "工艺id")
    private Long technologicalProcessId;


    @Excel(name = "工艺版本")
    @ApiModelProperty(value = "工艺版本")
    private String technologyVersion;

    @Excel(name = "生产数量")
    @ApiModelProperty(value = "生产数量")
    private Integer productionQuantity;

    /** 生产批数 */
    @Excel(name = "生产批数")
    @ApiModelProperty(value = "生产批数")
    private Integer lotNumber;

    @ApiModelProperty(value = "尾批状态")
    private Integer lastLotStatus;

    @Excel(name = "下达日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "下达日期")
    private Date issuanceDate;

    /****************** 虚字段 ******************/
    @TableField(exist = false)
    private String productSpecification;

    @TableField(exist = false)
    private String drawingNumber;

    @TableField(exist = false)
    private String companyAlias;

    @TableField(exist = false)
    private String productDescription;
    @TableField(exist = false)
    private String keywords;

    @TableField(exist = false)
    private List<BizTechnologicalProcessDetail> finishProcess;
    /** dayWorkList */
    @TableField(exist = false)
    private List<BizDaywork> dayWorkList;
    @TableField(exist = false)
    private Integer lineNumber;
    /** 待投产批数 */
    @TableField(exist = false)
    private Integer dayWorkLot;

    @TableField(exist = false)
    @ApiModelProperty("外协商id")
    private Long supplierId;

    @TableField(exist = false)
    private Integer oneLotQuantity;
    @TableField(exist = false)
    private String keyword;
}
