package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.web.domain.BaseEntity;
import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 生产计划明细对象 biz_production_plan_detail_sub_detail_equipment
 *
 * @author ezhizao
 * @date 2023-11-15
 */
@Data
@TableName(value = "biz_production_plan_detail_sub_detail_equipment")
public class BizProductionPlanDetailSubDetailEquipment extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 租户（厂别）id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 计划单id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanId;
    /** 工段id */
    @ApiModelProperty(value = "${comment}")
    private Long deptId;

    /** 计划单明细id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailId;

    /** 子计划id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailSubDetailId;

    /** 产品id */
    @ApiModelProperty(value = "${comment}")
    private Long productId;

    /** 工艺id（通过工艺id，获取版本号） */
    @ApiModelProperty(value = "${comment}")
    private Long technologicalProcessId;

    /** 工序id */
    @ApiModelProperty(value = "${comment}")
    private Long processId;

    /** 设备id */
    @ApiModelProperty(value = "${comment}")
    private Long equipmentDetailId;

    /** 设备编码 */
    @Excel(name = "设备编码")
    @ApiModelProperty(value = "设备编码")
    private String equipmentDetailCode;
    /** 设备名称 */
    @TableField(exist = false)
    private String equipmentCode;

    /************************* 虚拟字段 ***********************/
    @ApiModelProperty(value = "分配给设备的操作者，如果多个，用英文“,”分割")
    private String userNickNames;

    @TableField(exist = false)
    private String equipmentName;

}
