package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 子计划对应的工序指定的使用设备对象 biz_production_plan_detail_sub_detail_equipment_user
 *
 * @author ezhizao
 * @date 2023-11-20
 */
@Data
@TableName(value = "biz_production_plan_detail_sub_detail_equipment_user")
public class BizProductionPlanDetailSubDetailEquipmentUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户（厂别）id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 子计划工序对应的设备id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailSubDetailEquipmentId;

    private Long productionPlanDetailId;

    @Excel(name = "工艺id")
    @ApiModelProperty(value = "工艺id")
    private Long technologicalProcessId;
    /** 设备id */
    @ApiModelProperty(value = "${comment}")
    private Long equipmentDetailId;
    /** 子计划id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailSubDetailId;

    /**
     * 产品id
     */
    @ApiModelProperty(value = "${comment}")
    private Long productId;
    /**
     * 工序id
     */
    @ApiModelProperty(value = "=seq1(2位)+seq2(1位)+0(第4位用于单批单改)")
    private Long processId;
    /** 设备编码 */
    @Excel(name = "设备编码")
    @ApiModelProperty(value = "设备编码")
    private String equipmentDetailCode;

    /** 用户id */
    @ApiModelProperty(value = "设备编码")
    private Long userId;

    /** 员工编码 */
    @Excel(name = "员工编码")
    @ApiModelProperty(value = "员工编码")
    private String userName;

    /** 员工姓名 */
    @Excel(name = "员工姓名")
    @ApiModelProperty(value = "员工姓名")
    private String nickName;

}
