package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 工段资源组对象 biz_production_resource_group
 *
 * @author ezhizao
 * @date 2024-01-10
 */
@Data
@TableName(value = "biz_production_resource_group")
public class BizProductionResourceGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 资源组名称 */
    @Excel(name = "资源组名称")
    @ApiModelProperty(value = "资源组名称")
    private String code;

    @ApiModelProperty(value = "是否停用")
    private Integer isDeactivate;

    /** 工段id */
    @ApiModelProperty(value = "资源组名称")
    private Long deptId;
    @TableField(exist = false)
    private List<BizProductionResourceGroupDetail> groupDetailList ;

}
