package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;


/**
 * 资源组任务分配对象 biz_production_resource_group_sub_plan
 *
 * @author ezhizao
 * @date 2024-01-11
 */
@Data
@TableName(value = "biz_production_resource_group_sub_plan")
public class BizProductionResourceGroupSubPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户（厂别）id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 子计划id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailId;

    /** 产品id */
    @ApiModelProperty(value = "${comment}")
    private Long productId;

    /** 工艺id（通过工艺id，获取版本号） */
    @ApiModelProperty(value = "${comment}")
    private Long technologicalProcessId;

    /** 工段id */
    @ApiModelProperty(value = "${comment}")
    private Long deptId;

    /** 资源组id */
    @ApiModelProperty(value = "${comment}")
    private Long resourceGroupId;

    /** 资源组编码 */
    @Excel(name = "资源组编码")
    @ApiModelProperty(value = "资源组编码")
    private String resourceGroupCode;

    /****************** 虚字段 ******************/
    @TableField(exist = false)
    private String productDescription;

    @TableField(exist = false)
    private String productionPlanNo;

    @TableField(exist = false)
    private String companyAlias;
    @TableField(exist = false)
    private Integer lineNumber;
    /** 累计投产批数 */
    @TableField(exist = false)
    private Double lotTotalNumber;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField(exist = false)
    private Date issuanceDate;
    @TableField(exist = false)
    private String commonCode;
    @TableField(exist = false)
    private String commonName;

}
