package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 快速报工绑定下序与工段对象 biz_quick_daywork_next_info
 *
 * @author ezhizao
 * @date 2024-04-12
 */
@Data
@TableName(value = "biz_quick_daywork_next_info")
public class BizQuickDayworkNextInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 报工明细id
     */
    @ApiModelProperty(value = "${comment}")
    private Long dayworkItemId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "${comment}")
    private Long userId;

    /**
     * 租户（厂别）id
     */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /**
     * 计划单id
     */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanId;

    /**
     * 计划单明细id
     */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailId;

    /**
     * 子计划id
     */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailSubDetailId;

    /**
     * 下道工序id
     */
    @ApiModelProperty(value = "${comment}")
    private Long technologicalProcessDetailId;

    /**
     * 下道工序工艺id（通过工艺id，获取版本号）
     */
    @ApiModelProperty(value = "${comment}")
    private Long technologicalProcessId;

    /**
     * 下道工序id
     */
    @ApiModelProperty(value = "${comment}")
    private Long processId;

    /**
     * 批次号
     */
    @ApiModelProperty(value = "${comment}")
    private Long lotId;

    /**
     * 下一工段id
     */
    @ApiModelProperty(value = "${comment}")
    private Long deptId;

    /**
     * 下一工段名称
     */
    @Excel(name = "下一工段名称")
    @ApiModelProperty(value = "下一工段名称")
    private String deptName;

    /**
     * 周转区
     */
    @ApiModelProperty(value = "周转区")
    private String turnoverArea;

    /**
     * 周转类型
     */
    @ApiModelProperty(value = "周转类型")
    private String turnoverType;

    @Excel(name = "摆放位置id turnover表id")
    private String placeId;

    @Excel(name = "摆放位置")
    private String place;

    @TableField(exist = false)
    private Long workshopId;

    @ApiModelProperty("周转区")
    private Long turnoverId;

    public BizQuickDayworkNextInfo() {}

    public BizQuickDayworkNextInfo(BizQuickDayworkNextInfo copy) {
        this.dayworkItemId = copy.dayworkItemId;
        this.userId = copy.userId;
        this.tenantId = copy.tenantId;
        this.productionPlanId = copy.productionPlanId;
        this.productionPlanDetailId = copy.productionPlanDetailId;
        this.productionPlanDetailSubDetailId = copy.productionPlanDetailSubDetailId;
        this.technologicalProcessDetailId = copy.technologicalProcessDetailId;
        this.technologicalProcessId = copy.technologicalProcessId;
        this.processId = copy.processId;
        this.lotId = copy.lotId;
        this.deptId = copy.deptId;
        this.deptName = copy.deptName;
        this.turnoverArea = copy.turnoverArea;
        this.turnoverType = copy.turnoverType;
        this.placeId = copy.placeId;
        this.place = copy.place;
        this.workshopId = copy.workshopId;
        this.turnoverId = copy.turnoverId;
    }
}
