package cn.ezhizao.project.business.domain;


import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 资源分配对象 biz_resource_allocation
 *
 * @author ezhizao
 * @date 2023-11-21
 */
@Data
@TableName(value = "biz_resource_allocation")
public class BizResourceAllocation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 部门用户中间表id */
    @ApiModelProperty(value = "${comment}")
    private Long deptUserId;

    /** 设备id */
    @ApiModelProperty(value = "${comment}")
    private Long equipmentId;

    /** 工序Id */
    @ApiModelProperty(value = "${comment}")
    private Long processId;


    /** 设备对象 */
    @TableField(exist = false)
    private String equipmentCode;

    @TableField(exist = false)
    private String usageDeptCode;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField(exist = false)
    private String scrappingDate;
    @TableField(exist = false)
    private String equipmentStatusCode;
    /** 工序对象 */
    @TableField(exist = false)
    private String processCode;
    @TableField(exist = false)
    private String processAlias;



}
