package cn.ezhizao.project.business.domain;

import java.util.Date;
import java.util.List;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;


/**
 * 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子对象 biz_return_receipt
 *
 * @author ezhizao
 * @date 2024-05-08
 */
@Data
@TableName(value = "biz_return_receipt")
public class BizReturnReceipt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户（厂别）id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 单据号 */
    @Excel(name = "单据号")
    @ApiModelProperty(value = "单据号")
    private String formCode;

    /** 表单日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "表单日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "表单日期")
    private Date formDate;

    /** 外协商id */
    @ApiModelProperty(value = "表单日期")
    private Long supplierId;

    /** 外协商名称 */
    @Excel(name = "外协商名称")
    @ApiModelProperty(value = "外协商名称")
    private String supplierName;

    /** 状态（0：未审核，1：已审核）审核由德迈仕进行操作，审核后，外协商不能修改外协单 */
    @Excel(name = "状态", readConverterExp = "0=：未审核，1：已审核")
    @ApiModelProperty(value = "状态")
    private Integer status;
    /** 对应的收回明细 **/
    @TableField(exist = false)
    private List<BizReturnReceiptDetail> details;
    @TableField(exist = false)
    private String startTime;
    @TableField(exist = false)
    private String endTime;
    @TableField(exist = false)
    private List<BizReturnReceiptDetail> detailInfo;
    private Integer isSubmit;
    @TableField(exist = false)
    private List<BizOutsourcedOrderDetail> outsourcedOrderDetails;
    @TableField(exist = false)
    private List<BizProcessInspecion> processInspecionList;
    // 外协检查工序
    @TableField(exist = false)
    private List<String> processes;
}
