package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 存储码对象 biz_storage_code
 *
 * @author ezhizao
 * @date 2025-05-15
 */
@Data
@TableName(value = "biz_storage_code")
public class BizStorageCode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户 id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 年份 */
    @Excel(name = "年份")
    @ApiModelProperty(value = "年份")
    private String year;

    /** 二维码存放地址 */
    @Excel(name = "二维码存放地址")
    @ApiModelProperty(value = "二维码存放地址")
    private String qcCode;

    /** 存储码code */
    @Excel(name = "存储码code")
    @ApiModelProperty(value = "存储码code")
    private String code;

    /** 流水号 */
    @Excel(name = "流水号")
    @ApiModelProperty(value = "流水号")
    private Long serialNumber;

    /** 是否已打印 */
    @Excel(name = "是否已打印")
    @ApiModelProperty(value = "是否已打印")
    private Integer isPrint;
    @TableField(exist = false)
    private Long num;

}
