package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 供应商 biz_supplier_product_process
 *
 * @author ezhizao
 * date    2024-04-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "biz_supplier_product_process")
public class BizSupplierProductProcess extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户（厂别）id")
    private Long tenantId;

    @ApiModelProperty(value = "外协商id")
    private Long supplierId;

    @Excel(name = "外协商名称")
    @ApiModelProperty(value = "外协商名称")
    private String supplierName;

    @ApiModelProperty(value = "工艺id")
    private Long technologicalProcessId;

    @Excel(name = "工艺版本号")
    @ApiModelProperty(value = "工艺版本号")
    private String technologyVersion;

    @ApiModelProperty(value = "产品id")
    private Long productId;

    @ApiModelProperty(value = "料号")
    private String productCode;

    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String productDescription;

    @ApiModelProperty(value = "加工工序")
    private Long processId;

    @Excel(name = "工序简称")
    @ApiModelProperty(value = "工序简称")
    private String processAlias;

    @Excel(name = "单价")
    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    @TableField(exist = false)
    private String priceLabel;

    @Excel(name = "结算方式")
    @ApiModelProperty(value = "结算方式：0：无结算方式，1：按支结算，2：按炉结算")
    private String settlementType;

    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;
    private String processCode;
    private Long supplierProductId;
}
