package cn.ezhizao.project.business.domain;

import java.util.Date;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 盘点合格证信息对象 biz_taks_stock_certificate_lot
 *
 * @author ezhizao
 * @date 2025-06-03
 */
@Data
@TableName(value = "biz_taks_stock_certificate_lot")
public class BizTaksStockCertificateLot extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 盘点时间表id */
    @ApiModelProperty(value = "${comment}")
    private Long takeStockPeriodId;

    /** 合格证外键 */
    @ApiModelProperty(value = "${comment}")
    private Long certificateId;

    /** 打印次数 */
    @ApiModelProperty(value = "打印次数")
    private Long sort;

    /** 开始序号 */
    @ApiModelProperty(value = "开始序号")
    private String startCode;

    /** 结束序号 */
    @ApiModelProperty(value = "结束序号")
    private String endCode;

    /** 打印时间 */
    @ApiModelProperty(value = "打印时间")
    private Date printDate;

    /** 二维码信息 */
    @ApiModelProperty(value = "二维码信息")
    private String qrcode;

    /** 二维码地址 */
    @ApiModelProperty(value = "二维码地址")
    private String qrcodeUrl;

    /** 条形码信息 */
    @ApiModelProperty(value = "条形码信息")
    private String barcode;

    /** 条形码地址 */
    @ApiModelProperty(value = "条形码地址")
    private String barcodeUrl;

    /** 批次id */
    @ApiModelProperty(value = "条形码地址")
    private Long lotId;

    /** 批次号 */
    @Excel(name = "批次号",sort = 3)
    @ApiModelProperty(value = "批次号")
    private String lotCode;

    /** 投产数 */
    @Excel(name = "投入数",sort = 9)
    @ApiModelProperty(value = "投产数")
    private Long prodNum;

    /** 客户id */
    @ApiModelProperty(value = "投产数")
    private Long companyId;

    /** 客户编码 */
    @ApiModelProperty(value = "客户编码")
    private String companyCode;

    /** 公司简称 */
    @ApiModelProperty(value = "公司简称")
    private String companyName;

    /** 是否盘点(0：未盘点，1：已盘点) */

    @ApiModelProperty(value = "是否盘点(0：未盘点，1：已盘点)")
    private Integer isTaksStock;
    @Excel(name = "盘点状态",sort = 7)
    @TableField(exist = false)
    private String isTaksStockStr;

    /** 盘点年 */
    @Excel(name = "盘点年",sort = 1)
    @ApiModelProperty(value = "盘点年")
    private String stockYear;

    /** 盘点月 */
    @Excel(name = "盘点月",sort = 2)
    @ApiModelProperty(value = "盘点月")
    private String stockMonth;

    /** 工段id（当前工段的id） */
    @ApiModelProperty(value = "盘点月")
    private Long deptId;

    /** 工段名称 */
    @Excel(name = "工段",sort = 8)
    @ApiModelProperty(value = "工段名称")
    private String deptName;
    @Excel(name = "产品编码",sort = 6)
    private String productCode;
    private Long productId;
    @Excel(name = "产品描述",sort = 5)
    private String productDescription;
    @Excel(name = "盘点数量",sort = 10)
    private Integer taksStockNum;
    @Excel(name = "产品图号",sort = 4)
    private String drawingNumber;
    @ApiModelProperty(value = "是否是废品回用(0:否；1：是)")
    private Long isWasteRecycling;

    /** 是否修改(0 否 ，1 是)单批单改；多批单改；回退 */
    @ApiModelProperty(value = "是否修改(0 否 ，1 是)单批单改；多批单改；回退")
    private Integer isAmend;
    private Integer isSuperaddition;
    private Integer isWaste;
    @TableField(exist = false)
    private String barcodes;
    @Excel(name = "标识",sort = 11)
    @TableField(exist = false)
    private String flags;
    private Long fromId;
    @TableField(exist = false)
    private Long tempProdNum;

}
