package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 盘点入库明细对象 biz_taks_stock_inbound_order_detail
 *
 * @author ezhizao
 * @date 2025-06-03
 */
@Data
@TableName(value = "biz_taks_stock_inbound_order_detail")
public class BizTaksStockInboundOrderDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 入库单id */
    @ApiModelProperty(value = "${comment}")
    private Long inboundOrderId;

    /** 合格证id */
    @ApiModelProperty(value = "${comment}")
    private Long certificateId;

    /** 合格证批次id */
    @ApiModelProperty(value = "${comment}")
    private Long certificateLotId;

    /** 合格证编码 */
    @ApiModelProperty(value = "合格证编码")
    private String certificateCode;

    /** 批号 */
    @Excel(name = "批号",sort = 4)
    @ApiModelProperty(value = "批号")
    private String lotCode;

    /** 批次id */
    @ApiModelProperty(value = "批号")
    private Long lotId;

    /** 入库数量 */
    @ApiModelProperty(value = "入库数量")
    private Long inboundNum;

    /** 是否入库 */
    @ApiModelProperty(value = "是否入库")
    private Integer isInbound;

    /** 操作者1id */
    @ApiModelProperty(value = "是否入库")
    private Long firstOperatorUserId;

    /** 操作者1编码 */

    @ApiModelProperty(value = "操作者1编码")
    private String firstOperatorUserName;

    /** 操作者1名称 */

    @ApiModelProperty(value = "操作者1名称")
    private String firstOperatorNickName;

    /** 操作者2id */
    @ApiModelProperty(value = "操作者1名称")
    private Long secondOperatorUserId;

    /** 操作者2编码 */

    @ApiModelProperty(value = "操作者2编码")
    private String secondOperatorUserName;

    /** 操作者2名称 */

    @ApiModelProperty(value = "操作者2名称")
    private String secondOperatorNickName;

    /** 操作者3id */
    @ApiModelProperty(value = "操作者2名称")
    private Long thirdOperatorUserId;

    /** 操作者3编码 */

    @ApiModelProperty(value = "操作者3编码")
    private String thirdOperatorUserName;

    /** 操作者3名称 */

    @ApiModelProperty(value = "操作者3名称")
    private String thirdOperatorNickName;

    /** 包装形式码 */

    @ApiModelProperty(value = "包装形式码")
    private String packageTypeCode;

    /** 转运托盘码 */

    @ApiModelProperty(value = "转运托盘码")
    private String transferCode;

    /** 入库转运码 */

    @ApiModelProperty(value = "入库转运码")
    private String transferEntryCode;

    /** 租户（厂别）id */
    @ApiModelProperty(value = "入库转运码")
    private Long tenantId;

    /** 盘点时间表id */
    @ApiModelProperty(value = "入库转运码")
    private Long takeStockPeriodId;

    /** 入库单号 */
    @Excel(name = "入库单号",sort = 1)
    @ApiModelProperty(value = "入库单号")
    private String inboundNumber;

    /** 投产数 */
    @Excel(name = "投入数",sort = 10)
    @ApiModelProperty(value = "投产数")
    private Long prodNum;

    /** 是否盘点(0：未盘点，1：已盘点) */
    @ApiModelProperty(value = "是否盘点(0：未盘点，1：已盘点)")
    private Integer isTaksStock;

    /** 盘点年 */
    @Excel(name = "盘点年",sort = 2)
    @ApiModelProperty(value = "盘点年")
    private String stockYear;

    /** 盘点月 */
    @Excel(name = "盘点月",sort = 3)
    @ApiModelProperty(value = "盘点月")
    private String stockMonth;
    @ApiModelProperty(value = "是否是废品回用(0:否；1：是)")
    private Long isWasteRecycling;

    /** 是否修改(0 否 ，1 是)单批单改；多批单改；回退 */
    @ApiModelProperty(value = "是否修改(0 否 ，1 是)单批单改；多批单改；回退")
    private Integer isAmend;
    private Integer isSuperaddition;
    private Integer isWaste;
    private Long deptId;
    @Excel(name = "工段",sort = 9)
    private String deptName;
    private String deptCode;
    @Excel(name = "产品编码",sort = 7)
    private String productCode;
    private Long productId;
    @Excel(name = "产品描述",sort = 6)
    private String productDescription;
    @Excel(name = "盘点数量",sort = 11)
    private Integer taksStockNum;
    @Excel(name = "产品图号",sort = 5)
    private String drawingNo;
    private String barcode;
    private Long fromId;
    @Excel(name = "标识",sort = 12)
    @TableField(exist = false)
    private String flags;
    @TableField(exist = false)
    private String barcodes;
    @Excel(name = "盘点状态",sort = 8)
    @TableField(exist = false)
    private String isTaksStockStr;

}
