package cn.ezhizao.project.business.domain;

import java.util.Date;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;


/**
 * 盘点零存零取对象 biz_taks_stock_storage_retrieval
 *
 * @author ezhizao
 * @date 2024-10-14
 */
@Data
@TableName(value = "biz_taks_stock_storage_retrieval")
public class BizTaksStockStorageRetrieval extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 盘点时间表id */
    @ApiModelProperty(value = "${comment}")
    private Long takeStockPeriodId;

    /** 租户（厂别）id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 计划单明细id */
    @ApiModelProperty(value = "${comment}")
    private Long productionPlanDetailId;

    /** 产品描述 */
    @Excel(name = "产品描述",width = 80,sort = 2)
    @ApiModelProperty(value = "产品描述")
    private String productDescription;

    /** 产品图号 */
    @Excel(name = "产品图号",sort = 3)
    @ApiModelProperty(value = "产品图号")
    private String drawingNumber;

    @Excel(name = "零存日期", width = 30, dateFormat = "yyyy-MM-dd",sort = 9)
    private Date createTime;

    /** 批次id */
    @ApiModelProperty(value = "产品图号")
    private Long lotId;

    /** 批次号 */
    @Excel(name = "批次号",sort = 1)
    @ApiModelProperty(value = "批次号")
    private String lotCode;

    /** 工段id（当前工段的id） */
    @ApiModelProperty(value = "批次号")
    private Long deptId;

    /** 产品id */
    @ApiModelProperty(value = "批次号")
    private Long productId;

    /** 工艺版本号 */
    @Excel(name = "版本号",sort = 4)
    @ApiModelProperty(value = "工艺版本号")
    private String technologyVersion;

    /** 零存数量 */
    @Excel(name = "零存数量",sort = 7)
    @ApiModelProperty(value = "零存数量")
    private Long storageNum;
    @ApiModelProperty(value = "选别类型")
    private Integer type;
    @Excel(name = "选别类型",sort = 8)
    @ApiModelProperty(value = "选别类型")
    private String typeLabel;

    /** 存录员 */
    @ApiModelProperty(value = "零存数量")
    private Long storagerId;

    /** 是否被取出（0：否，1：是 */
    @ApiModelProperty(value = "是否被取出")
    private Integer status;

    /** 取出批次号 */
    @ApiModelProperty(value = "取出批次号")
    private String retrievalLotCode;

    /** 取出批次id */
    @ApiModelProperty(value = "取出批次号")
    private Long retrievalLotId;

    /** 取出员 */
    @ApiModelProperty(value = "取出批次号")
    private Long retrievalerId;

    /** 出库时间 */
    @ApiModelProperty(value = "出库时间")
    private String retrievalTime;
    @TableField(exist = false)
    private String remark;
    @Excel(name = "工段", sort = 5)
    @TableField(exist =false)
    private String deptName;
    @TableField(exist = false)
    private String retrievalerName;
    @Excel(name = "存录员", sort = 6)
    @TableField(exist = false)
    private String storagerName;

}
