package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 工艺从表对象 biz_technological_process_detail
 *
 * @author ezhizao
 * @date 2023-11-14
 */
@Data
@TableName(value = "biz_technological_process_detail")
public class BizTechnologicalProcessDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id，厂别或类型1:Ⅰ类2：Ⅱ类 */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 工艺版本A,B,C */
    @Excel(name = "工艺版本A,B,C")
    @ApiModelProperty(value = "工艺版本A,B,C")
    private String technologyVersion;
    /** 工艺id */
    private Long technologicalProcessId;
    /** 产品编码 */
    @Excel(name = "产品编码")
    @ApiModelProperty(value = "产品编码")
    private String productCode;

    /** =seq1(2位)+seq2(1位)+0(第4位用于单批单改) */
    @Excel(name = "=seq1(2位)+seq2(1位)+0(第4位用于单批单改)")
    @ApiModelProperty(value = "=seq1(2位)+seq2(1位)+0(第4位用于单批单改)")
    private String processStepNumber;

    /**
     * 产品id
     */
    @ApiModelProperty(value = "${comment}")
    private Long productId;
    /**
     * 工序id
     */
    @ApiModelProperty(value = "=seq1(2位)+seq2(1位)+0(第4位用于单批单改)")
    private Long processId;

    /** 工序编码 */
    @Excel(name = "工序编码")
    @ApiModelProperty(value = "工序编码")
    private String processCode;

    /** 工序简称 */
    @Excel(name = "工序简称")
    @ApiModelProperty(value = "工序简称")
    private String processAlias;

    /** 轴类型码 */
    @Excel(name = "轴类型码")
    @ApiModelProperty(value = "轴类型码")
    private String productShaftCategory;

    /** 轴类型助记码EPS */
    @Excel(name = "轴类型助记码EPS")
    @ApiModelProperty(value = "轴类型助记码EPS")
    private String productShaftCategoryName;

    /** 产品描述 */
    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String productDescription;

    @TableField(exist = false)
    private String Label;
    @TableField(exist = false)
    private Long Value;

    private String processKey;

    //是否隐藏
    private Integer isConceal;

    //完成状态
    @TableField(exist = false)
    private String status;

    //投入量
    @TableField(exist = false)
    private Integer investNum;

    //合格量
    @TableField(exist = false)
    private Integer qualifiedNum;

    //废品量
    @TableField(exist = false)
    private Integer abandonNum;

    @TableField(exist = false)
    private String remark;

    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;


}
