package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 转运码对象 biz_transfer_code
 *
 * @author ezhizao
 * @date 2025-05-19
 */
@Data
@TableName(value = "biz_transfer_code")
public class BizTransferCode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户 id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 工段id */
    @ApiModelProperty(value = "${comment}")
    private Long deptId;

    /** 二维码存放地址 */
    @Excel(name = "二维码存放地址")
    @ApiModelProperty(value = "二维码存放地址")
    private String qcCode;

    /** 转运码code */
    @Excel(name = "转运码code")
    @ApiModelProperty(value = "转运码code")
    private String code;

    /** 起始编号 */
    @Excel(name = "起始编号")
    @ApiModelProperty(value = "起始编号")
    private String startCode;

    /** 流水号 */
    @Excel(name = "流水号")
    @ApiModelProperty(value = "流水号")
    private Long serialNumber;
    @TableField(exist = false)
    private Long num;

}
