package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 周转区青岛那对象 biz_equipment_detail
 *
 * @author ezhizao
 * @date 2023-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "biz_turnover")
public class BizTurnover extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工段（部门）id
     */
    @Excel(name = "工段（部门）id")
    @ApiModelProperty(value = "工段（部门）id")
    private Long deptId;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;
    /**
     * 周转区编码
     */
    @Excel(name = "周转区编码")
    @ApiModelProperty(value = "周转区编码")
    private String code;

    /**
     * 周转区状态
     */
    @Excel(name = "周转区状态")
    @ApiModelProperty(value = "周转区状态")
    private Integer status;

    /**
     * 备注
     */
    @Excel(name = "备注", readConverterExp = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;

}
