package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizCarrier;
import cn.ezhizao.project.business.domain.BizCarrierCategory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 设备档案Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-14
 */
public interface BizCarrierMapper extends BaseMapper<BizCarrier> {
    /**
     * 物理删除
     *
     * @param bizEquipmentDetail 载具信息
     * @return 删除结果
     */
    public int physicalDelete(BizCarrier bizEquipmentDetail);

    public List<BizCarrier> getList(BizCarrier bizCarrier);
    public List<BizCarrier> getListNotInspectionList(BizCarrier bizCarrier);
    /**
     * 取消废弃
     * @param id 载具id
     * @return 影响数量
     */
    public int unAbandoned(Long id);

    List<BizCarrier> getListFromOutsource(BizCarrier carrier);

    List<BizCarrier> getSpecialList(BizCarrier bizCarrier);
    List<BizCarrier> getNotMoreCarrier(@Param("hasAddCarrierIds") List<Long> ids);

    BizCarrierCategory getCarrierCategory(Long categoryId);
    BizCarrier getIsNoneCarrier();

    BizCarrier selectIsNoneCarrier(List<Long> oldCarrierIds);

    BizCarrier getListFromReceiptDetail(BizCarrier carrier);
}
