package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizDayworkCarrier;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 报工载具中间表Mapper接口
 *
 * @author ezhizao
 * @date 2023-12-04
 */
public interface BizDayworkCarrierMapper extends BaseMapper<BizDayworkCarrier>
{
    /**
     * 查询报工载具中间表列表
     *
     * @param bizDayworkCarrier 报工载具中间表
     * @return 报工载具中间表集合
     */
    public List<BizDayworkCarrier> getList(BizDayworkCarrier bizDayworkCarrier);
    public int changedCarrierStatus(List<Long> dayworkIds);

    /**
     * 物理删除
     * @param bizDayworkCarrier
     * @return 删除结果
    */
    public int physicalDelete(BizDayworkCarrier bizDayworkCarrier);

    int removeByDayworkIds(List<Long> ids);

    int updateByDaywork(Long dayworkId);

    int removeSpecial(List<Long> firstDayworkIds);

    /**
     * 根据dayworkId查询绑定信息
     * 在计算箱数时使用
     * @param dayworkItemId
     * @return
     */
    List<BizDayworkCarrier> getListBayDayworkId(List<Long> dayworkItemId);
}
