package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizDayworkItemExamine;

/**
 * 分选包装审核申请Mapper接口
 *
 * @author ezhizao
 * @date 2024-07-29
 */
public interface BizDayworkItemExamineMapper extends BaseMapper<BizDayworkItemExamine>
{
    /**
     * 查询分选包装审核申请列表
     *
     * @param bizDayworkItemExamine 分选包装审核申请
     * @return 分选包装审核申请集合
     */
    public List<BizDayworkItemExamine> getList(BizDayworkItemExamine bizDayworkItemExamine);
    public List<BizDayworkItemExamine> getAllowAddedList(List<Long> dayworkItemIds);
    public BizDayworkItemExamine getDetailById(Long id);
    public List<BizDayworkItemExamine> getListByDayworkIds(List<Long> dayworkIds);

    /**
     * 物理删除
     * @param bizDayworkItemExamine
     * @return 删除结果
    */
    public int physicalDelete(BizDayworkItemExamine bizDayworkItemExamine);
}
