package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizDaywork;
import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import cn.ezhizao.project.business.domain.BizTechnologicalProcessDetail;
import cn.ezhizao.project.system.domain.SysDept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;


/**
 * 报工Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-29
 */
public interface BizDayworkMapper extends BaseMapper<BizDaywork> {
    /**
     * 查询报工列表
     *
     * @param bizDaywork 报工
     * @return 报工集合
     */
    public List<BizDaywork> getList(BizDaywork bizDaywork);
    public List<BizDaywork> selectNeedTakeStock(Long tenantId);
    public List<BizDaywork> getListForOutsource(BizDaywork bizDaywork);
    public List<BizDaywork> getListForInnerOutsource(BizDaywork bizDaywork);

    /**
     * 查询报工列表
     *
     * @param bizDayworkItem 报工
     * @return 报工集合
     */
    public List<BizDayworkItem> getItemList(BizDayworkItem bizDayworkItem);
    public List<BizDaywork> getDayworkList(BizDaywork bizDaywork);

    public List<BizDayworkItem> listReportItem(BizDayworkItem bizDayworkItem);

    public List<BizDayworkItem> getItemListFromOutsourced(BizDayworkItem bizDayworkItem);

    public List<BizDayworkItem> getItemListForOutsource(BizDayworkItem bizDayworkItem);
    List<BizDaywork> getLotPosition(BizDaywork bizDaywork);
    /**
     * 查询计划详情
     *
     * @param bizDaywork 报工
     * @return 报工集合
     */
    public List<BizDaywork> getDayworkInfo(BizDaywork bizDaywork);
    List<BizDaywork> getProducedLot(BizProductionPlanDetail data);



    /**
     * 查询计划详情
     *
     * @param bizDayworkItem 报工
     * @return 报工集合
     */
    public List<BizDayworkItem> getDayworkProcessList(BizDaywork bizDaywork);
    public List<BizDayworkItem> getDayworkWasteProcessList(BizDaywork bizDaywork);
    List<SysDept> getDeptList(BizDaywork bizDaywork);

    public List<BizTechnologicalProcessDetail> getProcessList(BizDayworkItem bizDayworkItem);

    /**
     * 物理删除
     *
     * @param bizDaywork
     * @return 删除结果
     */
    public int physicalDelete(BizDaywork bizDaywork);

    List<BizDaywork> getListFromNoCurrent(BizDaywork bizDaywork);


    List<BizDaywork> selectScreenDaywork(List<Long> ids);

    Integer getLotNumber(Long productionPlanDetailId);

    Integer getdayworkNum(Long productionPlanDetailId);

    List<BizDaywork> getNoFirstLotList(BizDaywork bizDaywork);

    List<BizDaywork> getListForAuxiliary(BizDaywork bizDaywork);

    List<BizDaywork> getCertificateList(BizDaywork bizDaywork);

    List<BizDayworkItem> getItemListWithTurnover(BizDayworkItem bizDayworkItem);
}
