package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizDeptProcess;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;


/**
 * deptProcessMapper接口
 *
 * @author ezhizao
 * @date 2023-12-11
 */
public interface BizDeptProcessMapper extends BaseMapper<BizDeptProcess>
{
    /**
     * 查询deptProcess列表
     *
     * @param bizDeptProcess deptProcess
     * @return deptProcess集合
     */
    public List<BizDeptProcess> getList(BizDeptProcess bizDeptProcess);

    /**
     * 物理删除
     * @param bizDeptProcess
     * @return 删除结果
    */
    public int physicalDelete(BizDeptProcess bizDeptProcess);

    /**
     * 查询特殊部门工序列表(下料,清洗)
     * @return
     */
    List<BizDeptProcess> getSpecialDeptProcessList();
}
