package cn.ezhizao.project.business.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizLotTechnologicalProcess;

/**
 * 修改后工艺Mapper接口
 *
 * @author ezhizao
 * @date 2024-04-07
 */
public interface BizLotTechnologicalProcessMapper extends BaseMapper<BizLotTechnologicalProcess>
{
    /**
     * 查询修改后工艺列表
     *
     * @param bizLotTechnologicalProcess 修改后工艺
     * @return 修改后工艺集合
     */
    public List<BizLotTechnologicalProcess> getList(BizLotTechnologicalProcess bizLotTechnologicalProcess);

    /**
     * 物理删除
     * @param bizLotTechnologicalProcess
     * @return 删除结果
    */
    public int physicalDelete(BizLotTechnologicalProcess bizLotTechnologicalProcess);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    BizLotTechnologicalProcess getById(Long id);


    /**
     * 根据lotId查询历史修改工艺
     * @param lotId
     * @return
     */
    List<BizLotTechnologicalProcess> selectUpdateList(Long lotId);
}
