package cn.ezhizao.project.business.mapper;

import java.util.List;
import java.util.Map;

import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import cn.ezhizao.project.business.domain.BizTechnologicalProcess;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 生产计划明细Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-04
 */
public interface BizProductionPlanDetailMapper extends BaseMapper<BizProductionPlanDetail>
{
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    public List<BizProductionPlanDetail> getList(BizProductionPlanDetail data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    public List<BizProductionPlanDetail> getListForOutsource(BizProductionPlanDetail data);

    public List<BizProductionPlanDetail> reportList(BizProductionPlanDetail data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    public List<BizProductionPlanDetail> getInfo(BizProductionPlanDetail data);

    public List<BizTechnologicalProcess> getTechnologicalVersion(BizTechnologicalProcess bizTechnologicalProcess);

    /**
     * 物理删除
     * @param bizProductionPlanDetail
     * @return 删除结果
    */
    public int physicalDelete(BizProductionPlanDetail bizProductionPlanDetail);

    /**
     * 修改生产计划批号状态
     *
     * @param id 生产计划id
     * @return
     */
    public int updateLotCodeStatus(BizProductionPlanDetail bizProductionPlanDetail);

    List<BizProductionPlanDetail> selectSpecialFirstProductDetail(BizProductionPlanDetail bizProductionPlanDetail);
}
