package cn.ezhizao.project.business.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizProductionPlanDetailSubDetailEquipment;

/**
 * 调机班长需要对所需设备，指定操作者 Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-15
 */
public interface BizProductionPlanDetailSubDetailEquipmentMapper extends BaseMapper<BizProductionPlanDetailSubDetailEquipment> {
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizProductionPlanDetailSubDetailEquipment> getList(Map<String, Object> data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizProductionPlanDetailSubDetailEquipment> getList(BizProductionPlanDetailSubDetailEquipment data);
    /**
     * 物理删除
     * @param bizProductionPlanDetailSubDetailEquipment 生产计划明细对应的工序指定的设备
     * @return 删除结果
    */
    int physicalDelete(BizProductionPlanDetailSubDetailEquipment bizProductionPlanDetailSubDetailEquipment);
}
