package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizLot;
import cn.ezhizao.project.business.domain.BizTechnologicalProcessDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;


/**
 * 工艺从表Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-14
 */
public interface BizTechnologicalProcessDetailMapper extends BaseMapper<BizTechnologicalProcessDetail> {
    /**
     * 查询工艺从表列表
     *
     * @param bizTechnologicalProcessDetail 工艺从表
     * @return 工艺从表集合
     */
    List<BizTechnologicalProcessDetail> getList(BizTechnologicalProcessDetail bizTechnologicalProcessDetail);

    /**
     * 物理删除
     *
     * @param bizTechnologicalProcessDetail
     * @return 删除结果
     */
    int physicalDelete(BizTechnologicalProcessDetail bizTechnologicalProcessDetail);

    /**
     * 根据技术工序id获取工艺从表
     *
     * @param technicalProcessId 工艺从表
     * @return 工艺从表集合
     */
    List<BizTechnologicalProcessDetail> getProcessDetailsByTechnicalProcessId(Long technicalProcessId);

    BizTechnologicalProcessDetail getById(Long id);

    List<BizTechnologicalProcessDetail> getProcessList(BizDayworkItem dayworkItem);

    List<BizTechnologicalProcessDetail> getProcessList(BizLot bizLot);
}
