package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizTechnologicalProcess;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 工艺主表Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-13
 */
public interface BizTechnologicalProcessMapper extends BaseMapper<BizTechnologicalProcess>
{
    /**
     * 查询工艺主表列表
     *
     * @param bizTechnologicalProcess 工艺主表
     * @return 工艺主表集合
     */
    public List<BizTechnologicalProcess> getList(BizTechnologicalProcess bizTechnologicalProcess);

    /**
     * 物理删除
     * @param bizTechnologicalProcess
     * @return 删除结果
    */
    public int physicalDelete(BizTechnologicalProcess bizTechnologicalProcess);

    /**
     * 查询工艺主表信息
     *
     * @param  id 工艺主表id
     * @return 工艺主表集合
     */
    BizTechnologicalProcess getById(Long id);
}
