package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizCarrier;
import cn.ezhizao.project.business.domain.BizCarrierCategory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备档案Service接口
 *
 * @author ezhizao
 * @date 2023-11-14
 */
public interface IBizCarrierService extends IService<BizCarrier> {

    /**
     * 物理删除
     *
     * @param bizCarrier
     * @return 删除结果
     */
    int physicalDelete(BizCarrier bizCarrier);

    /**
     * 取消废弃
     * @param id 载具id
     * @return 影响数量
     */
    int unAbandoned(Long id);

    public List<BizCarrier> getList(BizCarrier bizCarrier);
    public List<BizCarrier> getListNotInspectionList(BizCarrier bizCarrier);
    List<BizCarrier> getSpecialList(BizCarrier bizCarrier);

    List<BizCarrier> getListFromOutsource(BizCarrier carrier);
    List<BizCarrier> getNotMoreCarrier(List<Long> ids);

    BizCarrierCategory getCarrierCategory(Long categoryId);

    BizCarrier selectIsNoneCarrier(List<Long> oldCarrierIds);
    BizCarrier getIsNoneCarrier();

    BizCarrier getListFromReceiptDetail(BizCarrier carrier);
}
