package cn.ezhizao.project.business.service;

import java.util.List;

import cn.ezhizao.project.business.domain.BizTaksStockCertificateLot;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizCertificateLot;

/**
 * 合格证打印明细Service接口
 *
 * @author ezhizao
 * @date 2024-09-04
 */
public interface IBizCertificateLotService extends IService<BizCertificateLot>
{
    /**
     * 查询合格证打印明细列表
     *
     * @param bizCertificateLot 合格证打印明细
     * @return 合格证打印明细集合
     */
    public List<BizCertificateLot> getList(BizCertificateLot bizCertificateLot);
    public List<BizTaksStockCertificateLot> getTaskStockList();

    /**
     * 物理删除
     * @param bizCertificateLot
     * @return 删除结果
     */
    public int physicalDelete(BizCertificateLot bizCertificateLot);

}
