package cn.ezhizao.project.business.service;

import java.util.List;

import cn.ezhizao.project.business.domain.BizOutsourcedOrder;
import cn.ezhizao.project.business.domain.BizOutsourcedOrderDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizDayworkItemExamine;

/**
 * 分选包装审核申请Service接口
 *
 * @author ezhizao
 * @date 2024-07-29
 */
public interface IBizDayworkItemExamineService extends IService<BizDayworkItemExamine>
{
    /**
     * 查询分选包装审核申请列表
     *
     * @param bizDayworkItemExamine 分选包装审核申请
     * @return 分选包装审核申请集合
     */
    public List<BizDayworkItemExamine> getList(BizDayworkItemExamine bizDayworkItemExamine);
    public List<BizDayworkItemExamine> getAllowAddedList(List<Long> dayworkItemIds);
    public BizDayworkItemExamine getDetailById(Long id);
    public void updateOrSave(List<BizOutsourcedOrderDetail> outsourcedOrderDetails, BizOutsourcedOrder bizOutsourcedOrder);

    /**
     * 物理删除
     * @param bizDayworkItemExamine
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkItemExamine bizDayworkItemExamine);

}
