package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizDaywork;
import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import cn.ezhizao.project.business.domain.BizTechnologicalProcessDetail;
import cn.ezhizao.project.system.domain.SysDept;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * 报工Service接口
 *
 * @author ezhizao
 * @date 2023-11-29
 */
public interface IBizDayworkService extends IService<BizDaywork> {
    /**
     * 查询报工列表
     *
     * @param bizDaywork 报工
     * @return 报工集合
     */
    List<BizDaywork> getList(BizDaywork bizDaywork);
    /**
     * 查询报工列表
     *
     * @param bizDaywork 报工
     * @return 报工集合
     */
    List<BizDaywork> getListForAuxiliary(BizDaywork bizDaywork);
    List<BizDaywork> selectNeedTakeStock(Long tenantId);

    /**
     * 查询报工信息，非本序废品使用
     * @param bizDaywork
     * @return
     */
    List<BizDaywork> getListFromNoCurrent(BizDaywork bizDaywork);
    List<BizDaywork> getListForOutsource(BizDaywork bizDaywork);
    List<BizDaywork> getListForInnerOutsource(BizDaywork bizDaywork);
    /**
     * 查询计划详情
     *
     *
     * @param bizDaywork 报工
     * @return 报工集合
     */
    List<BizDaywork> getDayworkInfo(BizDaywork bizDaywork);

    List<BizDaywork> getProducedLot(BizProductionPlanDetail data);

    List<BizDayworkItem> getDayworkProcessList(BizDaywork bizDaywork);
    List<BizDayworkItem> getDayworkWasteProcessList(BizDaywork bizDaywork);
    List<SysDept> getDeptList(BizDaywork bizDaywork);

    /**
     * 查询报工列表
     *
     *
     * @param bizDayworkItem 报工
     * @return 报工集合
     */
    List<BizDayworkItem> getItemList(BizDayworkItem bizDayworkItem);
    List<BizDaywork> getDayworkList(BizDaywork bizDaywork);

    List<BizDayworkItem> getItemListForOutsource(BizDayworkItem bizDayworkItem);
    List<BizDaywork> getLotPosition(BizDaywork bizDaywork);

    List<BizTechnologicalProcessDetail> getProcessList(BizDayworkItem bizDayworkItem);

    /**
     * 物理删除
     *
     * @param bizDaywork
     * @return 删除结果
     */
    int physicalDelete(BizDaywork bizDaywork);

    public List<BizDayworkItem> listReportItem(BizDayworkItem bizDayworkItem);
    List<BizDayworkItem>  getItemListFromOutsourced(BizDayworkItem  bizDayworkItem);

    List<BizDaywork> selectScreenDaywork(List<Long> ids);

    /**
     * 判断批数不能大于投产批数
     */
    public Integer getLotNumber(Long productionPlanDetailId);

    Integer getdayworkNum(Long productionPlanDetailId);

    List<BizDaywork> getNoFirstLotList(BizDaywork bizDaywork);

    List<BizDaywork> getCertificateList(BizDaywork bizDaywork);

    List<BizDayworkItem> getItemListWithTurnover(BizDayworkItem bizDayworkItem);
}
