package cn.ezhizao.project.business.service;

import java.util.List;

import cn.ezhizao.project.business.domain.BizTaksStockInboundOrderDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizInboundOrderDetail;

/**
 * 生产入库明细Service接口
 *
 * @author ezhizao
 * @date 2025-05-20
 */
public interface IBizInboundOrderDetailService extends IService<BizInboundOrderDetail>
{
    /**
     * 查询生产入库明细列表
     *
     * @param bizInboundOrderDetail 生产入库明细
     * @return 生产入库明细集合
     */
    public List<BizInboundOrderDetail> getList(BizInboundOrderDetail bizInboundOrderDetail);
    public List<BizTaksStockInboundOrderDetail> getTaskStockList();

    /**
     * 物理删除
     * @param bizInboundOrderDetail
     * @return 删除结果
     */
    public int physicalDelete(BizInboundOrderDetail bizInboundOrderDetail);

}
