package cn.ezhizao.project.business.service;

import java.util.List;

import cn.ezhizao.project.business.domain.BizOutsourcedOrderDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizOutsourcedOrderDetailProcess;

/**
 * 外协单从对应的外协工序的从Service接口
 *
 * @author 庄德政
 * date    2024-04-26
 */
public interface IBizOutsourcedOrderDetailProcessService extends IService<BizOutsourcedOrderDetailProcess>
{
    /**
     * 查询外协单从对应的外协工序的从列表
     *
     * @param bizOutsourcedOrderDetailProcess 外协单从对应的外协工序的从
     * @return 外协单从对应的外协工序的从集合
     */
    List<BizOutsourcedOrderDetailProcess> getList(BizOutsourcedOrderDetailProcess bizOutsourcedOrderDetailProcess);

    /**
     * 物理删除
     * @param bizOutsourcedOrderDetailProcess 待删除
     * @return 删除结果
     */
    int physicalDelete(BizOutsourcedOrderDetailProcess bizOutsourcedOrderDetailProcess);
    List<BizOutsourcedOrderDetailProcess> getDetailList(BizOutsourcedOrderDetailProcess bizOutsourcedOrderDetailProcess);

    boolean batchSave(List<BizOutsourcedOrderDetail> outsourcedOrderDetails);
    boolean updateOrSave(List<BizOutsourcedOrderDetail> outsourcedOrderDetails);
    int removeByMasterIds(List<Long> ids);
}
