package cn.ezhizao.project.business.service;

import java.util.List;

import cn.ezhizao.project.business.domain.BizOutsourcedOrder;
import cn.ezhizao.project.business.domain.BizTaksStockLot;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizOutsourcedOrderDetail;

/**
 * 外协单从Service接口
 *
 * @author 庄德政
 * date    2024-04-26
 */
public interface IBizOutsourcedOrderDetailService extends IService<BizOutsourcedOrderDetail>
{
    /**
     * 查询外协单从列表
     *
     * @param bizOutsourcedOrderDetail 外协单从
     * @return 外协单从集合
     */
    List<BizOutsourcedOrderDetail> getList(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);
    List<BizOutsourcedOrderDetail> getInnerList(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);

    /**
     * 物理删除
     * @param bizOutsourcedOrderDetail 待删除
     * @return 删除结果
     */
    int physicalDelete(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);
    /**
     * 查询外协单从列表
     *
     * @param bizOutsourcedOrderDetail 外协单从
     * @return 外协单从集合
     */
    List<BizOutsourcedOrderDetail> getListForReceipt(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);
    /**
     * 查询所有外协单从列表
     *
     * @param bizOutsourcedOrderDetail 外协单从
     * @return 外协单从集合
     */
    List<BizOutsourcedOrderDetail> getListForAllReceipt(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);

    List<BizOutsourcedOrderDetail> batchSave (List<BizOutsourcedOrderDetail> outsourcedOrderDetails, BizOutsourcedOrder bizOutsourcedOrder);
    List<BizOutsourcedOrderDetail> updateOrSave (List<BizOutsourcedOrderDetail> outsourcedOrderDetails, BizOutsourcedOrder bizOutsourcedOrder);
    public List<BizOutsourcedOrderDetail> getFinishedReturnList(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);
    List<BizOutsourcedOrderDetail> getFinishedOutsourceDetailList(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);

    int removeByMasterIds(List<Long> ids);

    List<BizOutsourcedOrderDetail> getOutsourceDetailList(BizTaksStockLot bizTaksStockLot);
}
