package cn.ezhizao.project.business.service;

import java.io.IOException;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizOutsourcedOrder;

import javax.servlet.http.HttpServletResponse;

/**
 * 外协单主  带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子Service接口
 *
 * @author 庄德政
 * date    2024-04-26
 */
public interface IBizOutsourcedOrderService extends IService<BizOutsourcedOrder>
{
    /**
     * 查询外协单主 带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子列表
     *
     * @param bizOutsourcedOrder 外协单主 带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     * @return 外协单主 带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子集合
     */
    List<BizOutsourcedOrder> getList(BizOutsourcedOrder bizOutsourcedOrder);
    List<BizOutsourcedOrder> getInnerList(BizOutsourcedOrder bizOutsourcedOrder);
    BizOutsourcedOrder  getInnerById(BizOutsourcedOrder bizOutsourcedOrder);
    List<BizOutsourcedOrder> getAllList();

    /**
     * 物理删除
     * @param bizOutsourcedOrder 待删除
     * @return 删除结果
     */
    int physicalDelete(BizOutsourcedOrder bizOutsourcedOrder);

    void exportTemplateProvinceAreaData(HttpServletResponse response, BizOutsourcedOrder bizOutsourcedOrder) throws IOException;
}
