package cn.ezhizao.project.business.service;

import java.util.List;
import java.util.Map;

import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import cn.ezhizao.project.business.domain.BizTechnologicalProcess;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 生产计划明细Service接口
 *
 * @author ruoyi
 * @date 2023-11-04
 */
public interface IBizProductionPlanDetailService extends IService<BizProductionPlanDetail>
{
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizProductionPlanDetail> getList(BizProductionPlanDetail data);
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizProductionPlanDetail> getListForOutsource(BizProductionPlanDetail data);

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    List<BizProductionPlanDetail> getInfo(BizProductionPlanDetail data);

    /**
     * 修改生产计划批号状态
     *
     * @param bizProductionPlanDetail 生产计划信息
     * @return
     */
    int updateLotCodeStatus(BizProductionPlanDetail bizProductionPlanDetail);
    /**
     * 查询工艺版本
     * @param bizTechnologicalProcess
     * @return
     */
    List<BizTechnologicalProcess> getTechnologicalVersion(BizTechnologicalProcess bizTechnologicalProcess);


    /**
     * 物理删除
     * @param bizProductionPlanDetail
     * @return 删除结果
     */
    int physicalDelete(BizProductionPlanDetail bizProductionPlanDetail);

    public List<BizProductionPlanDetail> reportList(BizProductionPlanDetail data);


    public List<BizProductionPlanDetail> selectSpecialFirstProductDetail(BizProductionPlanDetail bizProductionPlanDetail);
}
