package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizProductionResourceGroupDetail;
import cn.ezhizao.project.business.domain.BizProductionResourceGroupSubPlan;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * 工段资源组明细Service接口
 *
 * @author ezhizao
 * @date 2024-01-10
 */
public interface IBizProductionResourceGroupDetailService extends IService<BizProductionResourceGroupDetail>
{
    /**
     * 查询工段资源组明细列表
     *
     * @param bizProductionResourceGroupDetail 工段资源组明细
     * @return 工段资源组明细集合
     */
    public List<BizProductionResourceGroupDetail> getList(BizProductionResourceGroupDetail bizProductionResourceGroupDetail);
    /**
     * 查询工段资源组明细设备列表
     * @param bizProductionResourceGroupDetail
     * @return
     */

    public List<BizDayworkItem> checkUseEquipment(BizProductionResourceGroupDetail bizProductionResourceGroupDetail);
    /**
     * 查询工段资源组明细设备列表
     * @param bizProductionResourceGroupDetail
     * @return
     */

    public List<BizProductionResourceGroupDetail> getEquipmentInfo(BizProductionResourceGroupDetail bizProductionResourceGroupDetail);

    /**
     * 物理删除
     * @param bizProductionResourceGroupDetail
     * @return 删除结果
     */
    public int physicalDelete(BizProductionResourceGroupDetail bizProductionResourceGroupDetail);

    List<BizProductionResourceGroupDetail> specialEquipmentList(BizProductionResourceGroupDetail data);

    List<BizProductionResourceGroupDetail> specialUserList(BizProductionResourceGroupDetail data);
    public List<BizProductionResourceGroupDetail> getListByResourceGroupIds(BizProductionResourceGroupSubPlan data);

}
