package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizProductionResourceGroupSubPlan;

/**
 * 资源组任务分配Service接口
 *
 * @author ezhizao
 * @date 2024-01-11
 */
public interface IBizProductionResourceGroupSubPlanService extends IService<BizProductionResourceGroupSubPlan>
{
    /**
     * 查询资源组任务分配列表
     *
     * @param bizProductionResourceGroupSubPlan 资源组任务分配
     * @return 资源组任务分配集合
     */
    public List<BizProductionResourceGroupSubPlan> getList(BizProductionResourceGroupSubPlan bizProductionResourceGroupSubPlan);

    /**
     * 物理删除
     * @param bizProductionResourceGroupSubPlan
     * @return 删除结果
     */
    public int physicalDelete(BizProductionResourceGroupSubPlan bizProductionResourceGroupSubPlan);

    /**
     * 获取未禁用资源组任务分配列表
     * @param subPlan
     * @return
     */
    List<BizProductionResourceGroupSubPlan> getAotList(BizProductionResourceGroupSubPlan subPlan);
}
