package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizQuickDayworkNextInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 快速报工绑定下序与工段Service接口
 *
 * @author ezhizao
 * @date 2024-04-12
 */
public interface IBizQuickDayworkNextInfoService extends IService<BizQuickDayworkNextInfo>
{
    /**
     * 查询快速报工绑定下序与工段列表
     *
     * @param bizQuickDayworkNextInfo 快速报工绑定下序与工段
     * @return 快速报工绑定下序与工段集合
     */
    public List<BizQuickDayworkNextInfo> getList(BizQuickDayworkNextInfo bizQuickDayworkNextInfo);

    /**
     * 物理删除
     * @param bizQuickDayworkNextInfo
     * @return 删除结果
     */
    public int physicalDelete(BizQuickDayworkNextInfo bizQuickDayworkNextInfo);

}
