package cn.ezhizao.project.business.service;

import java.util.List;

import cn.ezhizao.project.business.domain.*;
import cn.ezhizao.project.system.domain.SysDept;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 外协单从Service接口
 *
 * @author ezhizao
 * @date 2024-05-08
 */
public interface IBizReturnReceiptDetailService extends IService<BizReturnReceiptDetail>
{
    /**
     * 查询外协单从列表
     *
     * @param bizReturnReceiptDetail 外协单从
     * @return 外协单从集合
     */
    public List<BizReturnReceiptDetail> getList(BizReturnReceiptDetail bizReturnReceiptDetail);
    public void removeOrEditDetails (List<BizOutsourcedOrderDetail> newDetails, List<BizOutsourcedOrderDetail> oldDetails);
    public void removeByMasterIds(List<Long> ids);

    /**
     * 物理删除
     * @param bizReturnReceiptDetail
     * @return 删除结果
     */
    public int physicalDelete(BizReturnReceiptDetail bizReturnReceiptDetail);
    public List<SysDept> getTurnoverAbDeptList(BizDaywork bizDaywork);
    public List<SysDept> getTurnoverDeptList(BizDaywork bizDaywork);


}
