package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizTakeStockPeriod;

/**
 * 盘点时间Service接口
 *
 * @author ezhizao
 * @date 2024-08-15
 */
public interface IBizTakeStockPeriodService extends IService<BizTakeStockPeriod>
{
    /**
     * 查询盘点时间列表
     *
     * @param bizTakeStockPeriod 盘点时间
     * @return 盘点时间集合
     */
    public List<BizTakeStockPeriod> getList(BizTakeStockPeriod bizTakeStockPeriod);
    public int updateDruidPoolSize(Integer druidPoolSize);

    /**
     * 物理删除
     * @param bizTakeStockPeriod
     * @return 删除结果
     */
    public int physicalDelete(BizTakeStockPeriod bizTakeStockPeriod);

}
