package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.domain.BizTaksStockCertificateLot;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizCertificateLotMapper;
import cn.ezhizao.project.business.domain.BizCertificateLot;
import cn.ezhizao.project.business.service.IBizCertificateLotService;

/**
 * 合格证打印明细Service业务层处理
 *
 * @author ezhizao
 * @date 2024-09-04
 */
@Service
public class BizCertificateLotServiceImpl  extends ServiceImpl<BizCertificateLotMapper, BizCertificateLot> implements IBizCertificateLotService
{
    @Resource
    private BizCertificateLotMapper bizCertificateLotMapper;

    /**
     * 查询合格证打印明细列表
     *
     * @param bizCertificateLot 合格证打印明细
     * @return 合格证打印明细
     */
    @Override
    public List<BizCertificateLot> getList(BizCertificateLot bizCertificateLot)
    {
        return bizCertificateLotMapper.getList(bizCertificateLot);
    }

    @Override
    public List<BizTaksStockCertificateLot> getTaskStockList() {
        return bizCertificateLotMapper.getTaskStockList();
    }

    /**
     * 物理删除
     * @param bizCertificateLot
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizCertificateLot bizCertificateLot){ return bizCertificateLotMapper.physicalDelete(bizCertificateLot); };

}
