package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizCertificateMapper;
import cn.ezhizao.project.business.domain.BizCertificate;
import cn.ezhizao.project.business.service.IBizCertificateService;

/**
 * 合格证Service业务层处理
 *
 * @author ezhizao
 * @date 2024-09-02
 */
@Service
public class BizCertificateServiceImpl  extends ServiceImpl<BizCertificateMapper, BizCertificate> implements IBizCertificateService
{
    @Resource
    private BizCertificateMapper bizCertificateMapper;

    /**
     * 查询合格证列表
     *
     * @param bizCertificate 合格证
     * @return 合格证
     */
    @Override
    public List<BizCertificate> getList(BizCertificate bizCertificate)
    {
        return bizCertificateMapper.getList(bizCertificate);
    }

    /**
     * 物理删除
     * @param bizCertificate
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizCertificate bizCertificate){ return bizCertificateMapper.physicalDelete(bizCertificate); };

}
