package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.service.IBizChangeTechnologicalVersionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizChangeTechnologicalVersionMapper;
import cn.ezhizao.project.business.domain.BizChangeTechnologicalVersion;

/**
 * 生产计划工艺版本更改记录Service业务层处理
 *
 * @author ezhizao
 * @date 2024-03-19
 */
@Service
public class BizChangeTechnologicalVersionServiceImpl  extends ServiceImpl<BizChangeTechnologicalVersionMapper, BizChangeTechnologicalVersion> implements IBizChangeTechnologicalVersionService
{
    @Resource
    private BizChangeTechnologicalVersionMapper bizChangeTechnologicalVersionMapper;

    /**
     * 查询生产计划工艺版本更改记录列表
     *
     * @param bizChangeTechnologicalVersion 生产计划工艺版本更改记录
     * @return 生产计划工艺版本更改记录
     */
    @Override
    public List<BizChangeTechnologicalVersion> getList(BizChangeTechnologicalVersion bizChangeTechnologicalVersion)
    {
        return bizChangeTechnologicalVersionMapper.getList(bizChangeTechnologicalVersion);
    }

    /**
     * 物理删除
     * @param bizChangeTechnologicalVersion
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizChangeTechnologicalVersion bizChangeTechnologicalVersion){ return bizChangeTechnologicalVersionMapper.physicalDelete(bizChangeTechnologicalVersion); };

}
