package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizCheckCategoryMapper;
import cn.ezhizao.project.business.domain.BizCheckCategory;
import cn.ezhizao.project.business.service.IBizCheckCategoryService;

/**
 * 检查类别Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-07
 */
@Service
public class BizCheckCategoryServiceImpl  extends ServiceImpl<BizCheckCategoryMapper, BizCheckCategory> implements IBizCheckCategoryService
{
    @Resource
    private BizCheckCategoryMapper bizCheckCategoryMapper;

    /**
     * 查询检查类别列表
     *
     * @param bizCheckCategory 检查类别
     * @return 检查类别
     */
    @Override
    public List<BizCheckCategory> getList(BizCheckCategory bizCheckCategory)
    {
        return bizCheckCategoryMapper.getList(bizCheckCategory);
    }

    /**
     * 物理删除
     * @param bizCheckCategory
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizCheckCategory bizCheckCategory){ return bizCheckCategoryMapper.physicalDelete(bizCheckCategory); };

}
