package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizCompany;
import cn.ezhizao.project.business.mapper.BizCompanyMapper;
import cn.ezhizao.project.business.service.IBizCompanyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 客户名称Service业务层处理
 *
 * @author ezhizao
 * @date 2024-09-12
 */
@Service
public class BizCompanyServiceImpl extends ServiceImpl<BizCompanyMapper, BizCompany> implements IBizCompanyService
{
    @Resource
    private BizCompanyMapper bizCompanyMapper;

    /**
     * 查询客户名称列表
     *
     * @param bizCompany 客户名称
     * @return 客户名称
     */
    @Override
    public List<BizCompany> getList(BizCompany bizCompany)
    {
        return bizCompanyMapper.getList(bizCompany);
    }

    /**
     * 物理删除
     * @param bizCompany
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizCompany bizCompany){ return bizCompanyMapper.physicalDelete(bizCompany); };

}
