package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizDayworkAuxiliaryItemRejectMapper;
import cn.ezhizao.project.business.domain.BizDayworkAuxiliaryItemReject;
import cn.ezhizao.project.business.service.IBizDayworkAuxiliaryItemRejectService;

/**
 * 辅助工序报工废品Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-20
 */
@Service
public class BizDayworkAuxiliaryItemRejectServiceImpl  extends ServiceImpl<BizDayworkAuxiliaryItemRejectMapper, BizDayworkAuxiliaryItemReject> implements IBizDayworkAuxiliaryItemRejectService
{
    @Resource
    private BizDayworkAuxiliaryItemRejectMapper bizDayworkAuxiliaryItemRejectMapper;

    /**
     * 查询辅助工序报工废品列表
     *
     * @param bizDayworkAuxiliaryItemReject 辅助工序报工废品
     * @return 辅助工序报工废品
     */
    @Override
    public List<BizDayworkAuxiliaryItemReject> getList(BizDayworkAuxiliaryItemReject bizDayworkAuxiliaryItemReject)
    {
        return bizDayworkAuxiliaryItemRejectMapper.getList(bizDayworkAuxiliaryItemReject);
    }

    /**
     * 物理删除
     * @param bizDayworkAuxiliaryItemReject
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizDayworkAuxiliaryItemReject bizDayworkAuxiliaryItemReject){ return bizDayworkAuxiliaryItemRejectMapper.physicalDelete(bizDayworkAuxiliaryItemReject); };

}
