package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizDayworkAuxiliaryItemMapper;
import cn.ezhizao.project.business.domain.BizDayworkAuxiliaryItem;
import cn.ezhizao.project.business.service.IBizDayworkAuxiliaryItemService;

/**
 * 辅助工序报工Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-20
 */
@Service
public class BizDayworkAuxiliaryItemServiceImpl  extends ServiceImpl<BizDayworkAuxiliaryItemMapper, BizDayworkAuxiliaryItem> implements IBizDayworkAuxiliaryItemService
{
    @Resource
    private BizDayworkAuxiliaryItemMapper bizDayworkAuxiliaryItemMapper;

    /**
     * 查询辅助工序报工列表
     *
     * @param bizDayworkAuxiliaryItem 辅助工序报工
     * @return 辅助工序报工
     */
    @Override
    public List<BizDayworkAuxiliaryItem> getList(BizDayworkAuxiliaryItem bizDayworkAuxiliaryItem)
    {
        return bizDayworkAuxiliaryItemMapper.getList(bizDayworkAuxiliaryItem);
    }

    /**
     * 物理删除
     * @param bizDayworkAuxiliaryItem
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizDayworkAuxiliaryItem bizDayworkAuxiliaryItem){ return bizDayworkAuxiliaryItemMapper.physicalDelete(bizDayworkAuxiliaryItem); };

}
