package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.mapper.BizDayworkCarrierMapper;
import cn.ezhizao.project.business.domain.BizDayworkCarrier;
import cn.ezhizao.project.business.service.IBizDayworkCarrierService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 报工载具中间表Service业务层处理
 *
 * @author ezhizao
 * @date 2023-12-04
 */
@Service
public class BizDayworkCarrierServiceImpl  extends ServiceImpl<BizDayworkCarrierMapper, BizDayworkCarrier> implements IBizDayworkCarrierService
{
    @Resource
    private BizDayworkCarrierMapper bizDayworkCarrierMapper;

    /**
     * 查询报工载具中间表列表
     *
     * @param bizDayworkCarrier 报工载具中间表
     * @return 报工载具中间表
     */
    @Override
    public List<BizDayworkCarrier> getList(BizDayworkCarrier bizDayworkCarrier)
    {
        return bizDayworkCarrierMapper.getList(bizDayworkCarrier);
    }

    @Override
    public int changedCarrierStatus(List<Long> dayworkIds) {
        return bizDayworkCarrierMapper.changedCarrierStatus(dayworkIds);
    }

    /**
     * 物理删除
     * @param bizDayworkCarrier
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizDayworkCarrier bizDayworkCarrier){ return bizDayworkCarrierMapper.physicalDelete(bizDayworkCarrier); }

    @Override
    public int removeByDayworkIds(List<Long> ids) {
        return bizDayworkCarrierMapper.removeByDayworkIds(ids) ;
    }

    @Override
    public int updateByDaywork(Long dayworkId) {
       return bizDayworkCarrierMapper.updateByDaywork(dayworkId);

    }

    @Override
    public int removeSpecial(List<Long> firstDayworkIds) {
        return bizDayworkCarrierMapper.removeSpecial(firstDayworkIds);
    }


}
