package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizDayworkItemHistoryMapper;
import cn.ezhizao.project.business.domain.BizDayworkItemHistory;
import cn.ezhizao.project.business.service.IBizDayworkItemHistoryService;

/**
 * 报工修改历史Service业务层处理
 *
 * @author ezhizao
 * @date 2024-07-17
 */
@Service
public class BizDayworkItemHistoryServiceImpl  extends ServiceImpl<BizDayworkItemHistoryMapper, BizDayworkItemHistory> implements IBizDayworkItemHistoryService
{
    @Resource
    private BizDayworkItemHistoryMapper bizDayworkItemHistoryMapper;

    /**
     * 查询报工修改历史列表
     *
     * @param bizDayworkItemHistory 报工修改历史
     * @return 报工修改历史
     */
    @Override
    public List<BizDayworkItemHistory> getList(BizDayworkItemHistory bizDayworkItemHistory)
    {
        return bizDayworkItemHistoryMapper.getList(bizDayworkItemHistory);
    }

    /**
     * 物理删除
     * @param bizDayworkItemHistory
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizDayworkItemHistory bizDayworkItemHistory){ return bizDayworkItemHistoryMapper.physicalDelete(bizDayworkItemHistory); };

}
