package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizDayworkItemMaxHistoryMapper;
import cn.ezhizao.project.business.domain.BizDayworkItemMaxHistory;
import cn.ezhizao.project.business.service.IBizDayworkItemMaxHistoryService;

/**
 * 最高权限报工修改历史记录Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-03
 */
@Service
public class BizDayworkItemMaxHistoryServiceImpl  extends ServiceImpl<BizDayworkItemMaxHistoryMapper, BizDayworkItemMaxHistory> implements IBizDayworkItemMaxHistoryService
{
    @Resource
    private BizDayworkItemMaxHistoryMapper bizDayworkItemMaxHistoryMapper;

    /**
     * 查询最高权限报工修改历史记录列表
     *
     * @param bizDayworkItemMaxHistory 最高权限报工修改历史记录
     * @return 最高权限报工修改历史记录
     */
    @Override
    public List<BizDayworkItemMaxHistory> getList(BizDayworkItemMaxHistory bizDayworkItemMaxHistory)
    {
        return bizDayworkItemMaxHistoryMapper.getList(bizDayworkItemMaxHistory);
    }

    /**
     * 物理删除
     * @param bizDayworkItemMaxHistory
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizDayworkItemMaxHistory bizDayworkItemMaxHistory){ return bizDayworkItemMaxHistoryMapper.physicalDelete(bizDayworkItemMaxHistory); };

}
