package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizDayworkQualifiedMapper;
import cn.ezhizao.project.business.domain.BizDayworkQualified;
import cn.ezhizao.project.business.service.IBizDayworkQualifiedService;

/**
 * 报公合格数统计Service业务层处理
 *
 * @author ezhizao
 * @date 2024-03-08
 */
@Service
public class BizDayworkQualifiedServiceImpl  extends ServiceImpl<BizDayworkQualifiedMapper, BizDayworkQualified> implements IBizDayworkQualifiedService
{
    @Resource
    private BizDayworkQualifiedMapper bizDayworkQualifiedMapper;

    /**
     * 查询报公合格数统计列表
     *
     * @param bizDayworkQualified 报公合格数统计
     * @return 报公合格数统计
     */
    @Override
    public List<BizDayworkQualified> getList(BizDayworkQualified bizDayworkQualified)
    {
        return bizDayworkQualifiedMapper.getList(bizDayworkQualified);
    }

    /**
     * 物理删除
     * @param bizDayworkQualified
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizDayworkQualified bizDayworkQualified){ return bizDayworkQualifiedMapper.physicalDelete(bizDayworkQualified); };

}
