package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizInboundOrderMapper;
import cn.ezhizao.project.business.domain.BizInboundOrder;
import cn.ezhizao.project.business.service.IBizInboundOrderService;

/**
 * 生产入库Service业务层处理
 *
 * @author ezhizao
 * @date 2025-05-20
 */
@Service
public class BizInboundOrderServiceImpl  extends ServiceImpl<BizInboundOrderMapper, BizInboundOrder> implements IBizInboundOrderService
{
    @Resource
    private BizInboundOrderMapper bizInboundOrderMapper;

    /**
     * 查询生产入库列表
     *
     * @param bizInboundOrder 生产入库
     * @return 生产入库
     */
    @Override
    public List<BizInboundOrder> getList(BizInboundOrder bizInboundOrder)
    {
        return bizInboundOrderMapper.getList(bizInboundOrder);
    }

    /**
     * 物理删除
     * @param bizInboundOrder
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizInboundOrder bizInboundOrder){ return bizInboundOrderMapper.physicalDelete(bizInboundOrder); };

}
