package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizInspectionStandardsCheckMapper;
import cn.ezhizao.project.business.domain.BizInspectionStandardsCheck;
import cn.ezhizao.project.business.service.IBizInspectionStandardsCheckService;

/**
 * 检查类别标准Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-07
 */
@Service
public class BizInspectionStandardsCheckServiceImpl  extends ServiceImpl<BizInspectionStandardsCheckMapper, BizInspectionStandardsCheck> implements IBizInspectionStandardsCheckService
{
    @Resource
    private BizInspectionStandardsCheckMapper bizInspectionStandardsCheckMapper;

    /**
     * 查询检查类别标准列表
     *
     * @param bizInspectionStandardsCheck 检查类别标准
     * @return 检查类别标准
     */
    @Override
    public List<BizInspectionStandardsCheck> getList(BizInspectionStandardsCheck bizInspectionStandardsCheck)
    {
        return bizInspectionStandardsCheckMapper.getList(bizInspectionStandardsCheck);
    }

    /**
     * 物理删除
     * @param bizInspectionStandardsCheck
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizInspectionStandardsCheck bizInspectionStandardsCheck){ return bizInspectionStandardsCheckMapper.physicalDelete(bizInspectionStandardsCheck); };

}
