package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizInspectionStandardsMapper;
import cn.ezhizao.project.business.domain.BizInspectionStandards;
import cn.ezhizao.project.business.service.IBizInspectionStandardsService;

/**
 * 检查标准Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-05
 */
@Service
public class BizInspectionStandardsServiceImpl  extends ServiceImpl<BizInspectionStandardsMapper, BizInspectionStandards> implements IBizInspectionStandardsService
{
    @Resource
    private BizInspectionStandardsMapper bizInspectionStandardsMapper;

    /**
     * 查询检查标准列表
     *
     * @param bizInspectionStandards 检查标准
     * @return 检查标准
     */
    @Override
    public List<BizInspectionStandards> getList(BizInspectionStandards bizInspectionStandards)
    {
        return bizInspectionStandardsMapper.getList(bizInspectionStandards);
    }

    /**
     * 物理删除
     * @param bizInspectionStandards
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizInspectionStandards bizInspectionStandards){ return bizInspectionStandardsMapper.physicalDelete(bizInspectionStandards); };

}
