package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizLotTechnologicalProcessMapper;
import cn.ezhizao.project.business.domain.BizLotTechnologicalProcess;
import cn.ezhizao.project.business.service.IBizLotTechnologicalProcessService;

/**
 * 修改后工艺Service业务层处理
 *
 * @author ezhizao
 * @date 2024-04-07
 */
@Service
public class BizLotTechnologicalProcessServiceImpl extends ServiceImpl<BizLotTechnologicalProcessMapper, BizLotTechnologicalProcess> implements IBizLotTechnologicalProcessService
{
    @Resource
    private BizLotTechnologicalProcessMapper bizLotTechnologicalProcessMapper;

    /**
     * 查询修改后工艺列表
     *
     * @param bizLotTechnologicalProcess 修改后工艺
     * @return 修改后工艺
     */
    @Override
    public List<BizLotTechnologicalProcess> getList(BizLotTechnologicalProcess bizLotTechnologicalProcess)
    {
        return bizLotTechnologicalProcessMapper.getList(bizLotTechnologicalProcess);
    }

    /**
     * 物理删除
     * @param bizLotTechnologicalProcess
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizLotTechnologicalProcess bizLotTechnologicalProcess){ return bizLotTechnologicalProcessMapper.physicalDelete(bizLotTechnologicalProcess); }

    @Override
    public BizLotTechnologicalProcess getById(Long id) {
        return bizLotTechnologicalProcessMapper.getById(id);
    }

    @Override
    public List<BizLotTechnologicalProcess> selectUpdateList(Long lotId) {
        return bizLotTechnologicalProcessMapper.selectUpdateList(lotId);
    }


}
