package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizLotWasteMapper;
import cn.ezhizao.project.business.domain.BizLotWaste;
import cn.ezhizao.project.business.service.IBizLotWasteService;

/**
 * 批次废弃Service业务层处理
 *
 * @author ezhizao
 * @date 2024-04-02
 */
@Service
public class BizLotWasteServiceImpl  extends ServiceImpl<BizLotWasteMapper, BizLotWaste> implements IBizLotWasteService
{
    @Resource
    private BizLotWasteMapper bizLotWasteMapper;

    /**
     * 查询批次废弃列表
     *
     * @param bizLotWaste 批次废弃
     * @return 批次废弃
     */
    @Override
    public List<BizLotWaste> getList(BizLotWaste bizLotWaste)
    {
        return bizLotWasteMapper.getList(bizLotWaste);
    }

    /**
     * 物理删除
     * @param bizLotWaste
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizLotWaste bizLotWaste){ return bizLotWasteMapper.physicalDelete(bizLotWaste); };

}
