package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.service.IBizNoCurrentRejectService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizNoCurrentRejectMapper;
import cn.ezhizao.project.business.domain.BizNoCurrentReject;

/**
 * 非本序废品Service业务层处理
 *
 * @author ezhizao
 * @date 2024-05-12
 */
@Service
public class BizNoCurrentRejectServiceImpl extends ServiceImpl<BizNoCurrentRejectMapper, BizNoCurrentReject> implements IBizNoCurrentRejectService
{
    @Resource
    private BizNoCurrentRejectMapper bizNoCurrentRejectMapper;

    /**
     * 查询非本序废品列表
     *
     * @param bizNoCurrentReject 非本序废品
     * @return 非本序废品
     */
    @Override
    public List<BizNoCurrentReject> getList(BizNoCurrentReject bizNoCurrentReject)
    {
        return bizNoCurrentRejectMapper.getList(bizNoCurrentReject);
    }

    /**
     * 物理删除
     * @param bizNoCurrentReject
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizNoCurrentReject bizNoCurrentReject){ return bizNoCurrentRejectMapper.physicalDelete(bizNoCurrentReject); };

}
