package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizOutsourceBalanceMonthMapper;
import cn.ezhizao.project.business.domain.BizOutsourceBalanceMonth;
import cn.ezhizao.project.business.service.IBizOutsourceBalanceMonthService;

/**
 * 外协结算月设置Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-13
 */
@Service
public class BizOutsourceBalanceMonthServiceImpl  extends ServiceImpl<BizOutsourceBalanceMonthMapper, BizOutsourceBalanceMonth> implements IBizOutsourceBalanceMonthService
{
    @Resource
    private BizOutsourceBalanceMonthMapper bizOutsourceBalanceMonthMapper;

    /**
     * 查询外协结算月设置列表
     *
     * @param bizOutsourceBalanceMonth 外协结算月设置
     * @return 外协结算月设置
     */
    @Override
    public List<BizOutsourceBalanceMonth> getList(BizOutsourceBalanceMonth bizOutsourceBalanceMonth)
    {
        return bizOutsourceBalanceMonthMapper.getList(bizOutsourceBalanceMonth);
    }

    /**
     * 物理删除
     * @param bizOutsourceBalanceMonth
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizOutsourceBalanceMonth bizOutsourceBalanceMonth){ return bizOutsourceBalanceMonthMapper.physicalDelete(bizOutsourceBalanceMonth); };

}
