package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.service.IBizOutsourcedRecordsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizOutsourcedRecordsMapper;
import cn.ezhizao.project.business.domain.BizOutsourcedRecords;

/**
 * 外协发出单历史记录Service业务层处理
 *
 * @author ezhizao
 * @date 2024-06-03
 */
@Service
public class BizOutsourcedRecordsServiceImpl  extends ServiceImpl<BizOutsourcedRecordsMapper, BizOutsourcedRecords> implements IBizOutsourcedRecordsService
{
    @Resource
    private BizOutsourcedRecordsMapper bizOutsourcedRecordsMapper;

    /**
     * 查询外协发出单历史记录列表
     *
     * @param bizOutsourcedRecords 外协发出单历史记录
     * @return 外协发出单历史记录
     */
    @Override
    public List<BizOutsourcedRecords> getList(BizOutsourcedRecords bizOutsourcedRecords)
    {
        return bizOutsourcedRecordsMapper.getList(bizOutsourcedRecords);
    }

    /**
     * 物理删除
     * @param bizOutsourcedRecords
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizOutsourcedRecords bizOutsourcedRecords){ return bizOutsourcedRecordsMapper.physicalDelete(bizOutsourcedRecords); };

}
