package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizPackageResourceGroupDetailMapper;
import cn.ezhizao.project.business.domain.BizPackageResourceGroupDetail;
import cn.ezhizao.project.business.service.IBizPackageResourceGroupDetailService;

/**
 * 包装线明细Service业务层处理
 *
 * @author ezhizao
 * @date 2024-09-03
 */
@Service
public class BizPackageResourceGroupDetailServiceImpl  extends ServiceImpl<BizPackageResourceGroupDetailMapper, BizPackageResourceGroupDetail> implements IBizPackageResourceGroupDetailService
{
    @Resource
    private BizPackageResourceGroupDetailMapper bizPackageResourceGroupDetailMapper;

    /**
     * 查询包装线明细列表
     *
     * @param bizPackageResourceGroupDetail 包装线明细
     * @return 包装线明细
     */
    @Override
    public List<BizPackageResourceGroupDetail> getList(BizPackageResourceGroupDetail bizPackageResourceGroupDetail)
    {
        return bizPackageResourceGroupDetailMapper.getList(bizPackageResourceGroupDetail);
    }

    /**
     * 物理删除
     * @param bizPackageResourceGroupDetail
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizPackageResourceGroupDetail bizPackageResourceGroupDetail){ return bizPackageResourceGroupDetailMapper.physicalDelete(bizPackageResourceGroupDetail); };

}
