package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizPackageResourceGroupMapper;
import cn.ezhizao.project.business.domain.BizPackageResourceGroup;
import cn.ezhizao.project.business.service.IBizPackageResourceGroupService;

/**
 * 包装线Service业务层处理
 *
 * @author ezhizao
 * @date 2024-09-03
 */
@Service
public class BizPackageResourceGroupServiceImpl  extends ServiceImpl<BizPackageResourceGroupMapper, BizPackageResourceGroup> implements IBizPackageResourceGroupService
{
    @Resource
    private BizPackageResourceGroupMapper bizPackageResourceGroupMapper;

    /**
     * 查询包装线列表
     *
     * @param bizPackageResourceGroup 包装线
     * @return 包装线
     */
    @Override
    public List<BizPackageResourceGroup> getList(BizPackageResourceGroup bizPackageResourceGroup)
    {
        return bizPackageResourceGroupMapper.getList(bizPackageResourceGroup);
    }

    /**
     * 物理删除
     * @param bizPackageResourceGroup
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizPackageResourceGroup bizPackageResourceGroup){ return bizPackageResourceGroupMapper.physicalDelete(bizPackageResourceGroup); };

}
