package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizProcessInspectionDetailMapper;
import cn.ezhizao.project.business.domain.BizProcessInspectionDetail;
import cn.ezhizao.project.business.service.IBizProcessInspectionDetailService;

/**
 * 序检明细Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-05
 */
@Service
public class BizProcessInspectionDetailServiceImpl  extends ServiceImpl<BizProcessInspectionDetailMapper, BizProcessInspectionDetail> implements IBizProcessInspectionDetailService
{
    @Resource
    private BizProcessInspectionDetailMapper bizProcessInspectionDetailMapper;

    /**
     * 查询序检明细列表
     *
     * @param bizProcessInspectionDetail 序检明细
     * @return 序检明细
     */
    @Override
    public List<BizProcessInspectionDetail> getList(BizProcessInspectionDetail bizProcessInspectionDetail)
    {
        return bizProcessInspectionDetailMapper.getList(bizProcessInspectionDetail);
    }

    /**
     * 物理删除
     * @param bizProcessInspectionDetail
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProcessInspectionDetail bizProcessInspectionDetail){ return bizProcessInspectionDetailMapper.physicalDelete(bizProcessInspectionDetail); }

    @Override
    public List<BizProcessInspectionDetail> getDetailByProcessInspectionId(Long processInspectionId) {
        return bizProcessInspectionDetailMapper.getDetailByProcessInspectionId(processInspectionId);
    }

    ;

}
