package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizProcessInspectionRelationMapper;
import cn.ezhizao.project.business.domain.BizProcessInspectionRelation;
import cn.ezhizao.project.business.service.IBizProcessInspectionRelationService;

/**
 * 外协检查关联Service业务层处理
 *
 * @author ezhizao
 * @date 2024-11-26
 */
@Service
public class BizProcessInspectionRelationServiceImpl  extends ServiceImpl<BizProcessInspectionRelationMapper, BizProcessInspectionRelation> implements IBizProcessInspectionRelationService
{
    @Resource
    private BizProcessInspectionRelationMapper bizProcessInspectionRelationMapper;

    /**
     * 查询外协检查关联列表
     *
     * @param bizProcessInspectionRelation 外协检查关联
     * @return 外协检查关联
     */
    @Override
    public List<BizProcessInspectionRelation> getList(BizProcessInspectionRelation bizProcessInspectionRelation)
    {
        return bizProcessInspectionRelationMapper.getList(bizProcessInspectionRelation);
    }

    /**
     * 物理删除
     * @param bizProcessInspectionRelation
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProcessInspectionRelation bizProcessInspectionRelation){ return bizProcessInspectionRelationMapper.physicalDelete(bizProcessInspectionRelation); };

}
