package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizProcess;
import cn.ezhizao.project.business.mapper.BizProcessMapper;
import cn.ezhizao.project.business.service.IBizProcessService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 标准工序Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-13
 */
@Service
public class BizProcessServiceImpl extends ServiceImpl<BizProcessMapper, BizProcess> implements IBizProcessService
{
    @Resource
    private BizProcessMapper bizProcessMapper;

    /**
     * 查询标准工序列表
     *
     * @param bizProcess 标准工序
     * @return 标准工序
     */
    @Override
    public List<BizProcess> getList(BizProcess bizProcess)
    {
        return bizProcessMapper.getList(bizProcess);
    }

    /**
     * 物理删除
     * @param bizProcess
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProcess bizProcess){ return bizProcessMapper.physicalDelete(bizProcess); }

    @Override
    public List<BizProcess> getUserProcess(Long userId) {
        return bizProcessMapper.getUserProcess(userId);
    }

    ;

}
