package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizProductInspectionInstructionMapper;
import cn.ezhizao.project.business.domain.BizProductInspectionInstruction;
import cn.ezhizao.project.business.service.IBizProductInspectionInstructionService;

/**
 * 产品配置分选标准、检测指导项Service业务层处理
 *
 * @author ezhizao
 * @date 2024-04-23
 */
@Service
public class BizProductInspectionInstructionServiceImpl  extends ServiceImpl<BizProductInspectionInstructionMapper, BizProductInspectionInstruction> implements IBizProductInspectionInstructionService
{
    @Resource
    private BizProductInspectionInstructionMapper bizProductInspectionInstructionMapper;

    /**
     * 查询产品配置分选标准、检测指导项列表
     *
     * @param bizProductInspectionInstruction 产品配置分选标准、检测指导项
     * @return 产品配置分选标准、检测指导项
     */
    @Override
    public List<BizProductInspectionInstruction> getList(BizProductInspectionInstruction bizProductInspectionInstruction)
    {
        return bizProductInspectionInstructionMapper.getList(bizProductInspectionInstruction);
    }

    /**
     * 物理删除
     * @param bizProductInspectionInstruction
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProductInspectionInstruction bizProductInspectionInstruction){ return bizProductInspectionInstructionMapper.physicalDelete(bizProductInspectionInstruction); };

}
