package cn.ezhizao.project.business.service.impl;

import java.util.List;
import java.util.Map;
import javax.annotation.Resource;

import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import cn.ezhizao.project.business.domain.BizTechnologicalProcess;
import cn.ezhizao.project.business.mapper.BizProductionPlanDetailMapper;
import cn.ezhizao.project.business.service.IBizProductionPlanDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 生产计划明细Service业务层处理
 *
 * @author ruoyi
 * @date 2023-11-04
 */
@Service
public class BizProductionPlanDetailServiceImpl  extends ServiceImpl<BizProductionPlanDetailMapper, BizProductionPlanDetail> implements IBizProductionPlanDetailService
{
    @Resource
    private BizProductionPlanDetailMapper bizProductionPlanDetailMapper;

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细
     */
    @Override
    public List<BizProductionPlanDetail> getList(BizProductionPlanDetail data)
    {
        return bizProductionPlanDetailMapper.getList(data);
    }
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细
     */
    @Override
    public List<BizProductionPlanDetail> getListForOutsource(BizProductionPlanDetail data)
    {
        return bizProductionPlanDetailMapper.getListForOutsource(data);
    }
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细
     */
    @Override
    public List<BizProductionPlanDetail> getInfo(BizProductionPlanDetail data)
    {
        return bizProductionPlanDetailMapper.getInfo(data);
    }

    /**
     * 修改生产计划批号状态
     *
     * @param id 生产计划id
     * @return
     */
    @Override
    public int updateLotCodeStatus(BizProductionPlanDetail bizProductionPlanDetail) {
        return bizProductionPlanDetailMapper.updateLotCodeStatus(bizProductionPlanDetail);
    }
    /**
     * 查询生产计划工艺版本
     * @param bizTechnologicalProcess
     * @return
     */
    @Override
    public List<BizTechnologicalProcess> getTechnologicalVersion(BizTechnologicalProcess bizTechnologicalProcess) {
        return bizProductionPlanDetailMapper.getTechnologicalVersion(bizTechnologicalProcess);
    }

    /**
     * 物理删除
     * @param bizProductionPlanDetail
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProductionPlanDetail bizProductionPlanDetail){ return bizProductionPlanDetailMapper.physicalDelete(bizProductionPlanDetail); }

    @Override
    public List<BizProductionPlanDetail> reportList(BizProductionPlanDetail data) {
        return bizProductionPlanDetailMapper.reportList(data);
    }

    @Override
    public List<BizProductionPlanDetail> selectSpecialFirstProductDetail(BizProductionPlanDetail bizProductionPlanDetail) {
        return bizProductionPlanDetailMapper.selectSpecialFirstProductDetail(bizProductionPlanDetail);
    }

    ;

}
