package cn.ezhizao.project.business.service.impl;

import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizProductionPlanDetailSubDetailEquipmentMapper;
import cn.ezhizao.project.business.domain.BizProductionPlanDetailSubDetailEquipment;
import cn.ezhizao.project.business.service.IBizProductionPlanDetailSubDetailEquipmentService;

/**
 * 生产计划明细Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-15
 */
@Service
public class BizProductionPlanDetailSubDetailEquipmentServiceImpl  extends ServiceImpl<BizProductionPlanDetailSubDetailEquipmentMapper, BizProductionPlanDetailSubDetailEquipment> implements IBizProductionPlanDetailSubDetailEquipmentService
{
    @Resource
    private BizProductionPlanDetailSubDetailEquipmentMapper bizProductionPlanDetailSubDetailEquipmentMapper;

    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细
     */
    @Override
    public List<BizProductionPlanDetailSubDetailEquipment> getList(Map<String, Object> data)
    {
        return bizProductionPlanDetailSubDetailEquipmentMapper.getList(data);
    }
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细
     */
    @Override
    public List<BizProductionPlanDetailSubDetailEquipment> getList(BizProductionPlanDetailSubDetailEquipment data)
    {
        return bizProductionPlanDetailSubDetailEquipmentMapper.getList(data);
    }
    /**
     * 物理删除
     * @param bizProductionPlanDetailSubDetailEquipment
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProductionPlanDetailSubDetailEquipment bizProductionPlanDetailSubDetailEquipment){ return bizProductionPlanDetailSubDetailEquipmentMapper.physicalDelete(bizProductionPlanDetailSubDetailEquipment); };

}
