package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizProductionPlanDetailSubDetailEquipmentUserMapper;
import cn.ezhizao.project.business.domain.BizProductionPlanDetailSubDetailEquipmentUser;
import cn.ezhizao.project.business.service.IBizProductionPlanDetailSubDetailEquipmentUserService;

/**
 * 子计划对应的工序指定的使用设备Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-20
 */
@Service
public class BizProductionPlanDetailSubDetailEquipmentUserServiceImpl  extends ServiceImpl<BizProductionPlanDetailSubDetailEquipmentUserMapper, BizProductionPlanDetailSubDetailEquipmentUser> implements IBizProductionPlanDetailSubDetailEquipmentUserService
{
    @Resource
    private BizProductionPlanDetailSubDetailEquipmentUserMapper bizProductionPlanDetailSubDetailEquipmentUserMapper;

    /**
     * 查询子计划对应的工序指定的使用设备列表
     *
     * @param bizProductionPlanDetailSubDetailEquipmentUser 子计划对应的工序指定的使用设备
     * @return 子计划对应的工序指定的使用设备
     */
    @Override
    public List<BizProductionPlanDetailSubDetailEquipmentUser> getList(BizProductionPlanDetailSubDetailEquipmentUser bizProductionPlanDetailSubDetailEquipmentUser)
    {
        return bizProductionPlanDetailSubDetailEquipmentUserMapper.getList(bizProductionPlanDetailSubDetailEquipmentUser);
    }

    /**
     * 物理删除
     * @param bizProductionPlanDetailSubDetailEquipmentUser
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProductionPlanDetailSubDetailEquipmentUser bizProductionPlanDetailSubDetailEquipmentUser){ return bizProductionPlanDetailSubDetailEquipmentUserMapper.physicalDelete(bizProductionPlanDetailSubDetailEquipmentUser); };

}
