package cn.ezhizao.project.business.service.impl;


import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizProductionResourceGroupDetail;
import cn.ezhizao.project.business.domain.BizProductionResourceGroupSubPlan;
import cn.ezhizao.project.business.mapper.BizProductionResourceGroupDetailMapper;

import cn.ezhizao.project.business.service.IBizProductionResourceGroupDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 工段资源组明细Service业务层处理
 *
 * @author ezhizao
 * @date 2024-01-10
 */
@Service
public class BizProductionResourceGroupDetailServiceImpl  extends ServiceImpl<BizProductionResourceGroupDetailMapper, BizProductionResourceGroupDetail> implements IBizProductionResourceGroupDetailService
{
    @Resource
    private BizProductionResourceGroupDetailMapper bizProductionResourceGroupDetailMapper;

    /**
     * 查询工段资源组明细列表
     *
     * @param bizProductionResourceGroupDetail 工段资源组明细
     * @return 工段资源组明细
     */
    @Override
    public List<BizProductionResourceGroupDetail> getList(BizProductionResourceGroupDetail bizProductionResourceGroupDetail)
    {
        return bizProductionResourceGroupDetailMapper.getList(bizProductionResourceGroupDetail);
    }
     /**
     * 查询工段资源组明细设备列表
     * @param bizProductionResourceGroupDetail
     * @return
     */
    @Override
    public List<BizProductionResourceGroupDetail> getEquipmentInfo(BizProductionResourceGroupDetail bizProductionResourceGroupDetail) {
        return bizProductionResourceGroupDetailMapper.getEquipmentInfo(bizProductionResourceGroupDetail);
    }
    /**
     * 查询工段资源组明细设备列表
     * @param bizProductionResourceGroupDetail
     * @return
     */
    @Override
    public List<BizDayworkItem> checkUseEquipment(BizProductionResourceGroupDetail bizProductionResourceGroupDetail) {
        return bizProductionResourceGroupDetailMapper.checkUseEquipment(bizProductionResourceGroupDetail);
    }

    /**
     * 物理删除
     * @param bizProductionResourceGroupDetail
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProductionResourceGroupDetail bizProductionResourceGroupDetail){ return bizProductionResourceGroupDetailMapper.physicalDelete(bizProductionResourceGroupDetail); }

    @Override
    public List<BizProductionResourceGroupDetail> specialEquipmentList(BizProductionResourceGroupDetail data) {
        return bizProductionResourceGroupDetailMapper.specialEquipmentList(data);
    }

    @Override
    public List<BizProductionResourceGroupDetail> specialUserList(BizProductionResourceGroupDetail data) {
        return bizProductionResourceGroupDetailMapper.specialUserList(data);
    }

    @Override
    public List<BizProductionResourceGroupDetail> getListByResourceGroupIds(BizProductionResourceGroupSubPlan bizProductionResourceGroupSubPlan) {
        return bizProductionResourceGroupDetailMapper.getListByResourceGroupIds(bizProductionResourceGroupSubPlan);
    }

    ;

}
