package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizResourceAllocationMapper;
import cn.ezhizao.project.business.domain.BizResourceAllocation;
import cn.ezhizao.project.business.service.IBizResourceAllocationService;

/**
 * 资源分配Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-21
 */
@Service
public class BizResourceAllocationServiceImpl  extends ServiceImpl<BizResourceAllocationMapper, BizResourceAllocation> implements IBizResourceAllocationService
{
    @Resource
    private BizResourceAllocationMapper bizResourceAllocationMapper;

    /**
     * 查询资源分配列表
     *
     * @param bizResourceAllocation 资源分配
     * @return 资源分配
     */
    @Override
    public List<BizResourceAllocation> getList(BizResourceAllocation bizResourceAllocation)
    {
        return bizResourceAllocationMapper.getList(bizResourceAllocation);
    }

    /**
     * 物理删除
     * @param bizResourceAllocation
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizResourceAllocation bizResourceAllocation){ return bizResourceAllocationMapper.physicalDelete(bizResourceAllocation); };

}
