package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizReturnReceiptMapper;
import cn.ezhizao.project.business.domain.BizReturnReceipt;
import cn.ezhizao.project.business.service.IBizReturnReceiptService;

/**
 * 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子Service业务层处理
 *
 * @author ezhizao
 * @date 2024-05-08
 */
@Service
public class BizReturnReceiptServiceImpl  extends ServiceImpl<BizReturnReceiptMapper, BizReturnReceipt> implements IBizReturnReceiptService
{
    @Resource
    private BizReturnReceiptMapper bizReturnReceiptMapper;

    /**
     * 查询外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子列表
     *
     * @param bizReturnReceipt 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     * @return 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     */
    @Override
    public List<BizReturnReceipt> getList(BizReturnReceipt bizReturnReceipt)
    {
        return bizReturnReceiptMapper.getList(bizReturnReceipt);
    }

    @Override
    public List<BizReturnReceipt> getAllList() {
        return bizReturnReceiptMapper.getAllList();
    }

    /**
     * 物理删除
     * @param bizReturnReceipt
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizReturnReceipt bizReturnReceipt){ return bizReturnReceiptMapper.physicalDelete(bizReturnReceipt); };

}
