package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizStorageCodeMapper;
import cn.ezhizao.project.business.domain.BizStorageCode;
import cn.ezhizao.project.business.service.IBizStorageCodeService;

/**
 * 存储码Service业务层处理
 *
 * @author ezhizao
 * @date 2025-05-15
 */
@Service
public class BizStorageCodeServiceImpl  extends ServiceImpl<BizStorageCodeMapper, BizStorageCode> implements IBizStorageCodeService
{
    @Resource
    private BizStorageCodeMapper bizStorageCodeMapper;

    /**
     * 查询存储码列表
     *
     * @param bizStorageCode 存储码
     * @return 存储码
     */
    @Override
    public List<BizStorageCode> getList(BizStorageCode bizStorageCode)
    {
        return bizStorageCodeMapper.getList(bizStorageCode);
    }

    /**
     * 物理删除
     * @param bizStorageCode
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizStorageCode bizStorageCode){ return bizStorageCodeMapper.physicalDelete(bizStorageCode); };

}
