package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.domain.BizTaksStockLot;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizTaksStockCertificateLotMapper;
import cn.ezhizao.project.business.domain.BizTaksStockCertificateLot;
import cn.ezhizao.project.business.service.IBizTaksStockCertificateLotService;

/**
 * 盘点合格证信息Service业务层处理
 *
 * @author ezhizao
 * @date 2025-06-03
 */
@Service
public class BizTaksStockCertificateLotServiceImpl  extends ServiceImpl<BizTaksStockCertificateLotMapper, BizTaksStockCertificateLot> implements IBizTaksStockCertificateLotService
{
    @Resource
    private BizTaksStockCertificateLotMapper bizTaksStockCertificateLotMapper;

    /**
     * 查询盘点合格证信息列表
     *
     * @param bizTaksStockCertificateLot 盘点合格证信息
     * @return 盘点合格证信息
     */
    @Override
    public List<BizTaksStockCertificateLot> getList(BizTaksStockCertificateLot bizTaksStockCertificateLot)
    {
        return bizTaksStockCertificateLotMapper.getList(bizTaksStockCertificateLot);
    }

    /**
     * 物理删除
     * @param bizTaksStockCertificateLot
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizTaksStockCertificateLot bizTaksStockCertificateLot){ return bizTaksStockCertificateLotMapper.physicalDelete(bizTaksStockCertificateLot); }

    @Override
    public List<BizTaksStockCertificateLot> getNotInboundInfo(BizTaksStockCertificateLot bizTaksStockCertificateLot) {
        return bizTaksStockCertificateLotMapper.getNotInboundInfo(bizTaksStockCertificateLot);
    }

    ;

}
