package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizTaksStockInboundOrderDetailMapper;
import cn.ezhizao.project.business.domain.BizTaksStockInboundOrderDetail;
import cn.ezhizao.project.business.service.IBizTaksStockInboundOrderDetailService;

/**
 * 盘点入库明细Service业务层处理
 *
 * @author ezhizao
 * @date 2025-06-03
 */
@Service
public class BizTaksStockInboundOrderDetailServiceImpl  extends ServiceImpl<BizTaksStockInboundOrderDetailMapper, BizTaksStockInboundOrderDetail> implements IBizTaksStockInboundOrderDetailService
{
    @Resource
    private BizTaksStockInboundOrderDetailMapper bizTaksStockInboundOrderDetailMapper;

    /**
     * 查询盘点入库明细列表
     *
     * @param bizTaksStockInboundOrderDetail 盘点入库明细
     * @return 盘点入库明细
     */
    @Override
    public List<BizTaksStockInboundOrderDetail> getList(BizTaksStockInboundOrderDetail bizTaksStockInboundOrderDetail)
    {
        return bizTaksStockInboundOrderDetailMapper.getList(bizTaksStockInboundOrderDetail);
    }

    /**
     * 物理删除
     * @param bizTaksStockInboundOrderDetail
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizTaksStockInboundOrderDetail bizTaksStockInboundOrderDetail){ return bizTaksStockInboundOrderDetailMapper.physicalDelete(bizTaksStockInboundOrderDetail); }

    @Override
    public List<BizTaksStockInboundOrderDetail> getAnyInboundInfo(BizTaksStockInboundOrderDetail bizTaksStockInboundOrderDetail) {
        return bizTaksStockInboundOrderDetailMapper.getAnyInboundInfo(bizTaksStockInboundOrderDetail);
    }

}
