package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizTaksStockStorageRetrievalMapper;
import cn.ezhizao.project.business.domain.BizTaksStockStorageRetrieval;
import cn.ezhizao.project.business.service.IBizTaksStockStorageRetrievalService;

/**
 * 盘点零存零取Service业务层处理
 *
 * @author ezhizao
 * @date 2024-10-14
 */
@Service
public class BizTaksStockStorageRetrievalServiceImpl  extends ServiceImpl<BizTaksStockStorageRetrievalMapper, BizTaksStockStorageRetrieval> implements IBizTaksStockStorageRetrievalService
{
    @Resource
    private BizTaksStockStorageRetrievalMapper bizTaksStockStorageRetrievalMapper;

    /**
     * 查询盘点零存零取列表
     *
     * @param bizTaksStockStorageRetrieval 盘点零存零取
     * @return 盘点零存零取
     */
    @Override
    public List<BizTaksStockStorageRetrieval> getList(BizTaksStockStorageRetrieval bizTaksStockStorageRetrieval)
    {
        return bizTaksStockStorageRetrievalMapper.getList(bizTaksStockStorageRetrieval);
    }

    /**
     * 物理删除
     * @param bizTaksStockStorageRetrieval
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizTaksStockStorageRetrieval bizTaksStockStorageRetrieval){ return bizTaksStockStorageRetrievalMapper.physicalDelete(bizTaksStockStorageRetrieval); };

}
