package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizTransferCodeMapper;
import cn.ezhizao.project.business.domain.BizTransferCode;
import cn.ezhizao.project.business.service.IBizTransferCodeService;

/**
 * 转运码Service业务层处理
 *
 * @author ezhizao
 * @date 2025-05-19
 */
@Service
public class BizTransferCodeServiceImpl  extends ServiceImpl<BizTransferCodeMapper, BizTransferCode> implements IBizTransferCodeService
{
    @Resource
    private BizTransferCodeMapper bizTransferCodeMapper;

    /**
     * 查询转运码列表
     *
     * @param bizTransferCode 转运码
     * @return 转运码
     */
    @Override
    public List<BizTransferCode> getList(BizTransferCode bizTransferCode)
    {
        return bizTransferCodeMapper.getList(bizTransferCode);
    }

    /**
     * 物理删除
     * @param bizTransferCode
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizTransferCode bizTransferCode){ return bizTransferCodeMapper.physicalDelete(bizTransferCode); };

}
