package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizLot;
import cn.ezhizao.project.business.domain.BizTechnologicalProcessDetail;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizLotTechnologicalProcessDetailMapper;
import cn.ezhizao.project.business.domain.BizLotTechnologicalProcessDetail;
import cn.ezhizao.project.business.service.IBizLotTechnologicalProcessDetailService;

/**
 * 工艺修改明细Service业务层处理
 *
 * @author ezhizao
 * @date 2024-04-07
 */
@Service
public class IBizLotLotTechnologicalProcessDetailServiceImpl extends ServiceImpl<BizLotTechnologicalProcessDetailMapper, BizLotTechnologicalProcessDetail> implements IBizLotTechnologicalProcessDetailService
{
    @Resource
    private BizLotTechnologicalProcessDetailMapper bizLotTechnologicalProcessDetailMapper;

    /**
     * 查询工艺修改明细列表
     *
     * @param bizLotTechnologicalProcessDetail 工艺修改明细
     * @return 工艺修改明细
     */
    @Override
    public List<BizLotTechnologicalProcessDetail> getList(BizLotTechnologicalProcessDetail bizLotTechnologicalProcessDetail)
    {
        return bizLotTechnologicalProcessDetailMapper.getList(bizLotTechnologicalProcessDetail);
    }

    /**
     * 物理删除
     * @param bizLotTechnologicalProcessDetail
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizLotTechnologicalProcessDetail bizLotTechnologicalProcessDetail){ return bizLotTechnologicalProcessDetailMapper.physicalDelete(bizLotTechnologicalProcessDetail); }

    @Override
    public List<BizLotTechnologicalProcessDetail> getProcessList(BizDayworkItem dayworkItem) {
        return bizLotTechnologicalProcessDetailMapper.getProcessList(dayworkItem);
    }

    @Override
    public List<BizLotTechnologicalProcessDetail> getProcessList(BizLot bizLot) {
        return bizLotTechnologicalProcessDetailMapper.getProcessList(bizLot);
    }

    ;

}
